diff --git a/changelog b/changelog
index 4b454b8..80e94f3 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,9 @@
+20080423 tpd src/input/schaum22.input show Schaums-Axiom equivalence
+20080423 tpd src/input/schaum21.input show Schaums-Axiom equivalence
+20080423 tpd src/input/schaum20.input show Schaums-Axiom equivalence
+20080423 tpd src/input/schaum19.input show Schaums-Axiom equivalence
+20080423 tpd src/input/schaum18.input show Schaums-Axiom equivalence
+20080423 tpd src/input/schaum17.input show Schaums-Axiom equivalence
 20080421 tpd src/input/schaum16.input show Schaums-Axiom equivalence
 20080421 tpd src/input/schaum15.input show Schaums-Axiom equivalence
 20080421 tpd src/input/schaum14.input show Schaums-Axiom equivalence
diff --git a/src/input/schaum17.input.pamphlet b/src/input/schaum17.input.pamphlet
index fd40132..a11b623 100644
--- a/src/input/schaum17.input.pamphlet
+++ b/src/input/schaum17.input.pamphlet
@@ -18,7 +18,7 @@ $$
 )set message auto off
 )clear all
 
---S 1 of 30
+--S 1
 aa:=integrate(sin(a*x),x)
 --R 
 --R
@@ -27,6 +27,22 @@ aa:=integrate(sin(a*x),x)
 --R              a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 2
+bb:=-cos(a*x)/a
+--R
+--R          cos(a x)
+--R   (2)  - --------
+--R              a
+--R                                                     Type: Expression Integer
+--E
+
+--S 3      14:339 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.340~~~~~$\displaystyle
@@ -37,7 +53,7 @@ $$
 <<*>>=
 )clear all
 
---S 2 of 30
+--S 4
 aa:=integrate(x*sin(a*x),x)
 --R 
 --R
@@ -47,6 +63,23 @@ aa:=integrate(x*sin(a*x),x)
 --R                   a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 5
+bb:=sin(a*x)/a^2-(x*cos(a*x))/a
+--R
+--R        sin(a x) - a x cos(a x)
+--R   (2)  -----------------------
+--R                    2
+--R                   a
+--R                                                     Type: Expression Integer
+--E
+
+--S 6      14:340 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.341~~~~~$\displaystyle
@@ -57,7 +90,7 @@ $$
 <<*>>=
 )clear all
 
---S 3 of 30
+--S 7
 aa:=integrate(x^2*sin(a*x),x)
 --R 
 --R
@@ -68,6 +101,24 @@ aa:=integrate(x^2*sin(a*x),x)
 --R                         a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 8
+bb:=(2*x)/a^2*sin(a*x)+(2/a^3-x^2/a)*cos(a*x)
+--R
+--R                            2 2
+--R        2a x sin(a x) + (- a x  + 2)cos(a x)
+--R   (2)  ------------------------------------
+--R                          3
+--R                         a
+--R                                                     Type: Expression Integer
+--E
+
+--S 9      14:341 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.342~~~~~$\displaystyle
@@ -79,7 +130,7 @@ $$
 <<*>>=
 )clear all
 
---S 4 of 30
+--S 10
 aa:=integrate(x^3*sin(a*x),x)
 --R 
 --R
@@ -90,6 +141,24 @@ aa:=integrate(x^3*sin(a*x),x)
 --R                              a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 11
+bb:=((3*x^2)/a^2-6/a^4)*sin(a*x)+(6*x/a^3-x^3/a)*cos(a*x)
+--R
+--R           2 2                    3 3
+--R        (3a x  - 6)sin(a x) + (- a x  + 6a x)cos(a x)
+--R   (2)  ---------------------------------------------
+--R                               4
+--R                              a
+--R                                                     Type: Expression Integer
+--E
+
+--S 12     14:342 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.343~~~~~$\displaystyle
@@ -100,7 +169,7 @@ $$
 <<*>>=
 )clear all
 
---S 5 of 30
+--S 13     14:343 Schaums and Axiom agree by definition
 aa:=integrate(sin(x)/x,x)
 --R 
 --R
@@ -117,7 +186,7 @@ $$
 <<*>>=
 )clear all
 
---S 6 of 30
+--S 14     14:344 Axiom cannot compute this integral
 aa:=integrate(sin(a*x)/x^2,x)
 --R 
 --R
@@ -139,7 +208,7 @@ $$
 <<*>>=
 )clear all
 
---S 7 of 30
+--S 15
 aa:=integrate(1/sin(a*x),x)
 --R 
 --R
@@ -150,6 +219,35 @@ aa:=integrate(1/sin(a*x),x)
 --R                a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 16
+bb:=1/a*log(tan((a*x)/2))
+--R
+--R                a x
+--R        log(tan(---))
+--R                 2
+--R   (2)  -------------
+--R              a
+--R                                                     Type: Expression Integer
+--E
+
+--S 17
+cc:=aa-bb
+--R
+--R                  a x           sin(a x)
+--R        - log(tan(---)) + log(------------)
+--R                   2          cos(a x) + 1
+--R   (3)  -----------------------------------
+--R                         a
+--R                                                     Type: Expression Integer
+--E
+
+--S 18     14:345 Schaums and Axiom agree
+dd:=complexNormalize cc
+--R
+--R   (4)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.346~~~~~$\displaystyle
@@ -162,7 +260,7 @@ $$
 <<*>>=
 )clear all
 
---S 8 of 30
+--S 19     14:346 Axiom cannot compute this integral
 aa:=integrate(x/sin(a*x),x)
 --R 
 --R
@@ -182,7 +280,7 @@ $$
 <<*>>=
 )clear all
 
---S 9 of 30
+--S 20
 aa:=integrate(sin(a*x)^2,x)
 --R 
 --R
@@ -191,6 +289,31 @@ aa:=integrate(sin(a*x)^2,x)
 --R                   2a
 --R                                          Type: Union(Expression Integer,...)
 --E
+
+--S 21
+bb:=x/2-sin(2*a*x)/(4*a)
+--R
+--R        - sin(2a x) + 2a x
+--R   (2)  ------------------
+--R                4a
+--R                                                     Type: Expression Integer
+--E
+
+--S 22
+cc:=aa-bb
+--R
+--R        sin(2a x) - 2cos(a x)sin(a x)
+--R   (3)  -----------------------------
+--R                      4a
+--R                                                     Type: Expression Integer
+--E
+
+--S 23     14:347 Schaums and Axiom agreee
+dd:=complexNormalize cc
+--R
+--R   (4)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.348~~~~~$\displaystyle
@@ -201,7 +324,7 @@ $$
 <<*>>=
 )clear all
 
---S 10 of 30
+--S 24
 aa:=integrate(x*sin(a*x)^2,x)
 --R 
 --R
@@ -212,6 +335,38 @@ aa:=integrate(x*sin(a*x)^2,x)
 --R                            4a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 25
+bb:=x^2/4-(x*sin(2*a*x))/(4*a)-cos(2*a*x)/(8*a^2)
+--R
+--R                                         2 2
+--R        - 2a x sin(2a x) - cos(2a x) + 2a x
+--R   (2)  ------------------------------------
+--R                           2
+--R                         8a
+--R                                                     Type: Expression Integer
+--E
+
+--S 26
+cc:=aa-bb
+--R
+--R                                                                      2
+--R        2a x sin(2a x) - 4a x cos(a x)sin(a x) + cos(2a x) - 2cos(a x)
+--R   (3)  ---------------------------------------------------------------
+--R                                        2
+--R                                      8a
+--R                                                     Type: Expression Integer
+--E
+
+--S 27     14:348 Schaums and Axiom differ by a constant
+dd:=complexNormalize cc
+--R
+--R           1
+--R   (4)  - ---
+--R            2
+--R          8a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.349~~~~~$\displaystyle
@@ -222,7 +377,7 @@ $$
 <<*>>=
 )clear all
 
---S 11 of 30
+--S 28
 aa:=integrate(sin(a*x)^3,x)
 --R 
 --R
@@ -232,6 +387,23 @@ aa:=integrate(sin(a*x)^3,x)
 --R                  3a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 29
+bb:=-cos(a*x)/a+cos(a*x)^3/(3*a)
+--R
+--R                3
+--R        cos(a x)  - 3cos(a x)
+--R   (2)  ---------------------
+--R                  3a
+--R                                                     Type: Expression Integer
+--E
+
+--S 30     14:349 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.350~~~~~$\displaystyle
@@ -242,7 +414,7 @@ $$
 <<*>>=
 )clear all
 
---S 12 of 30
+--S 31
 aa:=integrate(sin(a*x)^4,x)
 --R 
 --R
@@ -252,6 +424,32 @@ aa:=integrate(sin(a*x)^4,x)
 --R                           8a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 32
+bb:=(3*x)/8-sin(2*a*x)/(4*a)+sin(4*a*x)/(32*a)
+--R
+--R        sin(4a x) - 8sin(2a x) + 12a x
+--R   (2)  ------------------------------
+--R                      32a
+--R                                                     Type: Expression Integer
+--E
+
+--S 33
+cc:=aa-bb
+--R
+--R                                             3
+--R        - sin(4a x) + 8sin(2a x) + (8cos(a x)  - 20cos(a x))sin(a x)
+--R   (3)  ------------------------------------------------------------
+--R                                     32a
+--R                                                     Type: Expression Integer
+--E
+
+--S 34     14:350 Schaums and Axiom agree
+dd:=complexNormalize cc
+--R
+--R   (4)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.351~~~~~$\displaystyle
@@ -262,7 +460,7 @@ $$
 <<*>>=
 )clear all
 
---S 13 of 30
+--S 35
 aa:=integrate(1/sin(a*x)^2,x)
 --R 
 --R
@@ -271,6 +469,31 @@ aa:=integrate(1/sin(a*x)^2,x)
 --R          a sin(a x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 36
+bb:=-1/a*cot(a*x)
+--R
+--R          cot(a x)
+--R   (2)  - --------
+--R              a
+--R                                                     Type: Expression Integer
+--E
+
+--S 37
+cc:=aa-bb
+--R
+--R        cot(a x)sin(a x) - cos(a x)
+--R   (3)  ---------------------------
+--R                 a sin(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 38     14:351 Schaums and Axiom agree
+dd:=complexNormalize cc
+--R
+--R   (4)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.352~~~~~$\displaystyle
@@ -281,7 +504,7 @@ $$
 <<*>>=
 )clear all
 
---S 14 of 30
+--S 39
 aa:=integrate(1/sin(a*x)^3,x)
 --R 
 --R
@@ -293,6 +516,66 @@ aa:=integrate(1/sin(a*x)^3,x)
 --R                     2a cos(a x)  - 2a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 40
+bb:=-cos(a*x)/(2*a*sin(a*x)^2)+1/(2*a)*log(tan((a*x)/2))
+--R
+--R                2        a x
+--R        sin(a x) log(tan(---)) - cos(a x)
+--R                          2
+--R   (2)  ---------------------------------
+--R                              2
+--R                   2a sin(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 41
+cc:=aa-bb
+--R
+--R   (3)
+--R                  2             2        a x
+--R       (- cos(a x)  + 1)sin(a x) log(tan(---))
+--R                                          2
+--R     + 
+--R                2             2      sin(a x)                      2           3
+--R       (cos(a x)  - 1)sin(a x) log(------------) + cos(a x)sin(a x)  + cos(a x)
+--R                                   cos(a x) + 1
+--R     + 
+--R       - cos(a x)
+--R  /
+--R                 2              2
+--R     (2a cos(a x)  - 2a)sin(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 42
+dd:=expandLog cc
+--R
+--R   (4)
+--R                  2             2        a x
+--R       (- cos(a x)  + 1)sin(a x) log(tan(---))
+--R                                          2
+--R     + 
+--R                2             2
+--R       (cos(a x)  - 1)sin(a x) log(sin(a x))
+--R     + 
+--R                  2             2                                    2
+--R       (- cos(a x)  + 1)sin(a x) log(cos(a x) + 1) + cos(a x)sin(a x)
+--R     + 
+--R               3
+--R       cos(a x)  - cos(a x)
+--R  /
+--R                 2              2
+--R     (2a cos(a x)  - 2a)sin(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 43     14:352 Schaums and Axiom agree
+ee:=complexNormalize dd
+--R
+--R   (5)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.353~~~~~$\displaystyle
@@ -303,7 +586,7 @@ $$
 <<*>>=
 )clear all
 
---S 15 of 30
+--S 44
 aa:=integrate(sin(p*x)*sin(q*x),x)
 --R 
 --R
@@ -312,7 +595,30 @@ aa:=integrate(sin(p*x)*sin(q*x),x)
 --R                         2    2
 --R                        q  - p
 --R                                          Type: Union(Expression Integer,...)
+--E
+
+--S 45
+bb:=(sin(p-q)*x)/(2*(p-q))-(sin(p+q)*x)/(2*(p+q))
+--R
+--R        (- q + p)x sin(q + p) + (q + p)x sin(q - p)
+--R   (2)  -------------------------------------------
+--R                           2     2
+--R                         2q  - 2p
+--R                                                     Type: Expression Integer
 --E 
+
+--S 46     14:353 Axiom cannot simplify this expression
+cc:=aa-bb
+--R
+--R   (3)
+--R       2p cos(p x)sin(q x) - 2q cos(q x)sin(p x) + (q - p)x sin(q + p)
+--R     + 
+--R       (- q - p)x sin(q - p)
+--R  /
+--R       2     2
+--R     2q  - 2p
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.354~~~~~$\displaystyle
@@ -323,7 +629,7 @@ $$
 <<*>>=
 )clear all
 
---S 16 of 30
+--S 47
 aa:=integrate(1/(1-sin(a*x)),x)
 --R 
 --R
@@ -331,7 +637,38 @@ aa:=integrate(1/(1-sin(a*x)),x)
 --R   (1)  ---------------------------
 --R        a sin(a x) - a cos(a x) - a
 --R                                          Type: Union(Expression Integer,...)
+--E
+
+--S 48
+bb:=1/a*tan(%pi/4+(a*x)/2)
+--R
+--R            2a x + %pi
+--R        tan(----------)
+--R                 4
+--R   (2)  ---------------
+--R               a
+--R                                                     Type: Expression Integer
 --E 
+
+--S 49
+cc:=aa-bb
+--R
+--R                                       2a x + %pi
+--R        (- sin(a x) + cos(a x) + 1)tan(----------) - 2cos(a x) - 2
+--R                                            4
+--R   (3)  ----------------------------------------------------------
+--R                        a sin(a x) - a cos(a x) - a
+--R                                                     Type: Expression Integer
+--E
+
+--S 50     14:354 Schaums and Axiom differ by a constant
+dd:=complexNormalize cc
+--R
+--R        1
+--R   (4)  -
+--R        a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.355~~~~~$\displaystyle
@@ -343,7 +680,7 @@ $$
 <<*>>=
 )clear all
 
---S 17 of 30
+--S 51
 aa:=integrate(x/(1-sin(ax)),x)
 --R 
 --R
@@ -353,6 +690,35 @@ aa:=integrate(x/(1-sin(ax)),x)
 --R          2sin(ax) - 2
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 52
+bb:=x/a*tan(%pi/4+(a*x)/2)+2/a^2*log(sin(%pi/4-(a*x)/2))
+--R
+--R                   2a x - %pi             2a x + %pi
+--R        2log(- sin(----------)) + a x tan(----------)
+--R                        4                      4
+--R   (2)  ---------------------------------------------
+--R                               2
+--R                              a
+--R                                                     Type: Expression Integer
+--E
+
+--S 53     14:355 Axiom cannot simplify this expression
+cc:=aa-bb
+--R
+--R   (3)
+--R                                 2a x - %pi
+--R       (- 4sin(ax) + 4)log(- sin(----------))
+--R                                      4
+--R     + 
+--R                                  2a x + %pi     2 2
+--R       (- 2a x sin(ax) + 2a x)tan(----------) - a x
+--R                                       4
+--R  /
+--R       2            2
+--R     2a sin(ax) - 2a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.356~~~~~$\displaystyle
@@ -363,7 +729,7 @@ $$
 <<*>>=
 )clear all
 
---S 18 of 30
+--S 54
 aa:=integrate(1/(1+sin(ax)),x)
 --R 
 --R
@@ -372,6 +738,46 @@ aa:=integrate(1/(1+sin(ax)),x)
 --R        sin(ax) + 1
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 55
+bb:=-1/a*tan(%pi/4-(a*x)/2)
+--R
+--R            2a x - %pi
+--R        tan(----------)
+--R                 4
+--R   (2)  ---------------
+--R               a
+--R                                                     Type: Expression Integer
+--E
+
+--S 56
+cc:=aa-bb
+--R
+--R                           2a x - %pi
+--R        (- sin(ax) - 1)tan(----------) + a x
+--R                                4
+--R   (3)  ------------------------------------
+--R                    a sin(ax) + a
+--R                                                     Type: Expression Integer
+--E
+
+--S 57
+tanrule:=rule(tan(a/b) == sin(a)/cos(b))
+--R
+--R            a     sin(a)
+--R   (4)  tan(-) == ------
+--R            b     cos(b)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 58     14:356 Axiom cannot simplify this expression
+dd:=tanrule cc
+--R
+--R        (- sin(ax) - 1)sin(2a x - %pi) + a x cos(4)
+--R   (5)  -------------------------------------------
+--R                 a cos(4)sin(ax) + a cos(4)
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.357~~~~~$\displaystyle
@@ -383,7 +789,7 @@ $$
 <<*>>=
 )clear all
 
---S 19 of 30
+--S 59
 aa:=integrate(x/(1+sin(a*x)),x)
 --R 
 --R
@@ -402,6 +808,100 @@ aa:=integrate(x/(1+sin(a*x)),x)
 --R     a sin(a x) + a cos(a x) + a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 60
+bb:=-x/a*tan(%pi/4-(a*x)/2)+2/a^2*log(sin(%pi/4+(a*x)/2))
+--R
+--R                 2a x + %pi             2a x - %pi
+--R        2log(sin(----------)) + a x tan(----------)
+--R                      4                      4
+--R   (2)  -------------------------------------------
+--R                              2
+--R                             a
+--R                                                     Type: Expression Integer
+--E
+
+--S 61
+cc:=aa-bb
+--R
+--R   (3)
+--R                                      sin(a x) + cos(a x) + 1
+--R       (2sin(a x) + 2cos(a x) + 2)log(-----------------------)
+--R                                            cos(a x) + 1
+--R     + 
+--R                                            2a x + %pi
+--R       (- 2sin(a x) - 2cos(a x) - 2)log(sin(----------))
+--R                                                 4
+--R     + 
+--R                                            2
+--R       (- sin(a x) - cos(a x) - 1)log(------------)
+--R                                      cos(a x) + 1
+--R     + 
+--R                                                2a x - %pi
+--R       (- a x sin(a x) - a x cos(a x) - a x)tan(----------) + a x sin(a x)
+--R                                                     4
+--R     + 
+--R       - a x cos(a x) - a x
+--R  /
+--R      2            2            2
+--R     a sin(a x) + a cos(a x) + a
+--R                                                     Type: Expression Integer
+--E
+
+--S 62
+dd:=expandLog cc
+--R
+--R   (4)
+--R       (2sin(a x) + 2cos(a x) + 2)log(sin(a x) + cos(a x) + 1)
+--R     + 
+--R                                            2a x + %pi
+--R       (- 2sin(a x) - 2cos(a x) - 2)log(sin(----------))
+--R                                                 4
+--R     + 
+--R       (- sin(a x) - cos(a x) - 1)log(cos(a x) + 1)
+--R     + 
+--R                                                2a x - %pi
+--R       (- a x sin(a x) - a x cos(a x) - a x)tan(----------)
+--R                                                     4
+--R     + 
+--R       (- log(2) + a x)sin(a x) + (- log(2) - a x)cos(a x) - log(2) - a x
+--R  /
+--R      2            2            2
+--R     a sin(a x) + a cos(a x) + a
+--R                                                     Type: Expression Integer
+--E
+
+--S 63
+tanrule:=rule(tan(a/b) == sin(a)/cos(b))
+--R
+--R            a     sin(a)
+--R   (5)  tan(-) == ------
+--R            b     cos(b)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 64     14:357 Axiom cannot simplify this expression
+ee:=tanrule dd
+--R
+--R   (6)
+--R       (2cos(4)sin(a x) + 2cos(4)cos(a x) + 2cos(4))log(sin(a x) + cos(a x) + 1)
+--R     + 
+--R                                                              2a x + %pi
+--R       (- 2cos(4)sin(a x) - 2cos(4)cos(a x) - 2cos(4))log(sin(----------))
+--R                                                                   4
+--R     + 
+--R       (- cos(4)sin(a x) - cos(4)cos(a x) - cos(4))log(cos(a x) + 1)
+--R     + 
+--R       (- a x sin(a x) - a x cos(a x) - a x)sin(2a x - %pi)
+--R     + 
+--R       (- cos(4)log(2) + a x cos(4))sin(a x)
+--R     + 
+--R       (- cos(4)log(2) - a x cos(4))cos(a x) - cos(4)log(2) - a x cos(4)
+--R  /
+--R      2                  2                  2
+--R     a cos(4)sin(a x) + a cos(4)cos(a x) + a cos(4)
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.358~~~~~$\displaystyle
@@ -413,7 +913,7 @@ $$
 <<*>>=
 )clear all
 
---S 20 of 30
+--S 65
 aa:=integrate(1/(1-sin(a*x))^2,x)
 --R 
 --R
@@ -423,7 +923,76 @@ aa:=integrate(1/(1-sin(a*x))^2,x)
 --R                                                2
 --R        (3a cos(a x) + 6a)sin(a x) + 3a cos(a x)  - 3a cos(a x) - 6a
 --R                                          Type: Union(Expression Integer,...)
+--E
+
+--S 66
+bb:=-1/(2*a)*tan(%pi/4+(a*x)/2)+1/(6*a)*tan(%pi/4+(a*x)/2)^3
+--R
+--R            2a x + %pi 3        2a x + %pi
+--R        tan(----------)  - 3tan(----------)
+--R                 4                   4
+--R   (2)  -----------------------------------
+--R                         6a
+--R                                                     Type: Expression Integer
 --E 
+
+--S 67
+cc:=aa-bb
+--R
+--R   (3)
+--R                                           2                    2a x + %pi 3
+--R       ((- cos(a x) - 2)sin(a x) - cos(a x)  + cos(a x) + 2)tan(----------)
+--R                                                                     4
+--R     + 
+--R                                           2                     2a x + %pi
+--R       ((3cos(a x) + 6)sin(a x) + 3cos(a x)  - 3cos(a x) - 6)tan(----------)
+--R                                                                      4
+--R     + 
+--R                                          2
+--R       (6cos(a x) + 6)sin(a x) + 2cos(a x)  - 8cos(a x) - 10
+--R  /
+--R                                              2
+--R     (6a cos(a x) + 12a)sin(a x) + 6a cos(a x)  - 6a cos(a x) - 12a
+--R                                                     Type: Expression Integer
+--E
+
+--S 68
+tanrule:=rule(tan(a/b) == sin(a)/cos(b))
+--R
+--R            a     sin(a)
+--R   (4)  tan(-) == ------
+--R            b     cos(b)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 69     14:358 Axiom cannot simplify this expression
+dd:=tanrule cc
+--R
+--R   (5)
+--R                                           2                               3
+--R       ((- cos(a x) - 2)sin(a x) - cos(a x)  + cos(a x) + 2)sin(2a x + %pi)
+--R     + 
+--R                   2                  2                   2        2
+--R           (3cos(4) cos(a x) + 6cos(4) )sin(a x) + 3cos(4) cos(a x)
+--R         + 
+--R                    2                  2
+--R           - 3cos(4) cos(a x) - 6cos(4)
+--R      *
+--R         sin(2a x + %pi)
+--R     + 
+--R               3                  3                   3        2
+--R       (6cos(4) cos(a x) + 6cos(4) )sin(a x) + 2cos(4) cos(a x)
+--R     + 
+--R                3                   3
+--R       - 8cos(4) cos(a x) - 10cos(4)
+--R  /
+--R                 3                     3                     3        2
+--R       (6a cos(4) cos(a x) + 12a cos(4) )sin(a x) + 6a cos(4) cos(a x)
+--R     + 
+--R                  3                     3
+--R       - 6a cos(4) cos(a x) - 12a cos(4)
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.359~~~~~$\displaystyle
@@ -435,7 +1004,7 @@ $$
 <<*>>=
 )clear all
 
---S 21 of 30
+--S 70
 aa:=integrate(1/(1+sin(a*x))^2,x)
 --R 
 --R
@@ -445,7 +1014,38 @@ aa:=integrate(1/(1+sin(a*x))^2,x)
 --R                                                2
 --R        (3a cos(a x) + 6a)sin(a x) - 3a cos(a x)  + 3a cos(a x) + 6a
 --R                                          Type: Union(Expression Integer,...)
+--E
+
+--S 71
+bb:=-1/(2*a)*tan(%pi/4-(a*x)/2)-1/(6*a)*tan(%pi/4-(a*x)/2)^3
+--R
+--R            2a x - %pi 3        2a x - %pi
+--R        tan(----------)  + 3tan(----------)
+--R                 4                   4
+--R   (2)  -----------------------------------
+--R                         6a
+--R                                                     Type: Expression Integer
 --E 
+
+--S 72     14:359 Axiom cannot simplify this expression
+cc:=aa-bb
+--R
+--R   (3)
+--R                                           2                    2a x - %pi 3
+--R       ((- cos(a x) - 2)sin(a x) + cos(a x)  - cos(a x) - 2)tan(----------)
+--R                                                                     4
+--R     + 
+--R                                             2                     2a x - %pi
+--R       ((- 3cos(a x) - 6)sin(a x) + 3cos(a x)  - 3cos(a x) - 6)tan(----------)
+--R                                                                        4
+--R     + 
+--R                                            2
+--R       (- 6cos(a x) - 6)sin(a x) + 2cos(a x)  - 8cos(a x) - 10
+--R  /
+--R                                              2
+--R     (6a cos(a x) + 12a)sin(a x) - 6a cos(a x)  + 6a cos(a x) + 12a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.360~~~~~$\displaystyle
@@ -466,7 +1066,7 @@ $$
 <<*>>=
 )clear all
 
---S 22 of 30
+--S 73
 aa:=integrate(1/(p+q*sin(a*x)),x)
 --R 
 --R
@@ -498,6 +1098,156 @@ aa:=integrate(1/(p+q*sin(a*x)),x)
 --R                        a\|- q  + p
 --R                                     Type: Union(List Expression Integer,...)
 --E 
+
+--S 74
+bb1:=2/(a*sqrt(p^2-q^2))*atan((p*tan((a*x)/2+q))/sqrt(p^2-q^2))
+--R
+--R                    a x + 2q
+--R              p tan(--------)
+--R                        2
+--R        2atan(---------------)
+--R                 +---------+
+--R                 |   2    2
+--R                \|- q  + p
+--R   (2)  ----------------------
+--R               +---------+
+--R               |   2    2
+--R             a\|- q  + p
+--R                                                     Type: Expression Integer
+--E
+
+--S 75
+bb2:=1/(a*sqrt(q^2-p^2))*log((p*tan((a*x)/2+q-sqrt(q^2-p^2)))/(p*tan((a*x)/2+q+sqrt(q^2-p^2))))
+--R
+--R                    +-------+
+--R                    | 2    2
+--R                  2\|q  - p   - a x - 2q
+--R              tan(----------------------)
+--R                             2
+--R        log(- ---------------------------)
+--R                    +-------+
+--R                    | 2    2
+--R                  2\|q  - p   + a x + 2q
+--R              tan(----------------------)
+--R                             2
+--R   (3)  ----------------------------------
+--R                      +-------+
+--R                      | 2    2
+--R                    a\|q  - p
+--R                                                     Type: Expression Integer
+--E
+
+--S 76
+cc1:=aa.1-bb1
+--R
+--R   (4)
+--R          +---------+
+--R          |   2    2
+--R         \|- q  + p
+--R      *
+--R         log
+--R                                                        +-------+
+--R                                  2    2             2  | 2    2
+--R                (p q sin(a x) + (q  - p )cos(a x) + q )\|q  - p
+--R              + 
+--R                      2    3                3    2              3    2
+--R                (- p q  + p )sin(a x) + (- q  + p q)cos(a x) - q  + p q
+--R           /
+--R              q sin(a x) + p
+--R     + 
+--R                               a x + 2q
+--R           +-------+     p tan(--------)
+--R           | 2    2                2
+--R       - 2\|q  - p  atan(---------------)
+--R                            +---------+
+--R                            |   2    2
+--R                           \|- q  + p
+--R  /
+--R       +---------+ +-------+
+--R       |   2    2  | 2    2
+--R     a\|- q  + p  \|q  - p
+--R                                                     Type: Expression Integer
+--E
+
+--S 77
+cc2:=aa.2-bb1
+--R
+--R   (5)
+--R                                         +---------+                a x + 2q
+--R                                         |   2    2           p tan(--------)
+--R           (p sin(a x) + q cos(a x) + q)\|- q  + p                      2
+--R   - 2atan(-----------------------------------------) - 2atan(---------------)
+--R                    2    2             2    2                    +---------+
+--R                  (q  - p )cos(a x) + q  - p                     |   2    2
+--R                                                                \|- q  + p
+--R   ---------------------------------------------------------------------------
+--R                                    +---------+
+--R                                    |   2    2
+--R                                  a\|- q  + p
+--R                                                     Type: Expression Integer
+--E
+
+--S 78
+cc3:=aa.1-bb2
+--R
+--R   (6)
+--R                     +-------+
+--R                     | 2    2
+--R                   2\|q  - p   - a x - 2q
+--R               tan(----------------------)
+--R                              2
+--R       - log(- ---------------------------)
+--R                     +-------+
+--R                     | 2    2
+--R                   2\|q  - p   + a x + 2q
+--R               tan(----------------------)
+--R                              2
+--R     + 
+--R       log
+--R                                                      +-------+
+--R                                2    2             2  | 2    2
+--R              (p q sin(a x) + (q  - p )cos(a x) + q )\|q  - p
+--R            + 
+--R                    2    3                3    2              3    2
+--R              (- p q  + p )sin(a x) + (- q  + p q)cos(a x) - q  + p q
+--R         /
+--R            q sin(a x) + p
+--R  /
+--R       +-------+
+--R       | 2    2
+--R     a\|q  - p
+--R                                                     Type: Expression Integer
+--E
+
+--S 79     14:360 Axiom cannot simplify these equations
+cc4:=aa.2-bb2
+--R
+--R   (7)
+--R                                 +-------+
+--R                                 | 2    2
+--R                               2\|q  - p   - a x - 2q
+--R          +---------+      tan(----------------------)
+--R          |   2    2                      2
+--R       - \|- q  + p  log(- ---------------------------)
+--R                                 +-------+
+--R                                 | 2    2
+--R                               2\|q  - p   + a x + 2q
+--R                           tan(----------------------)
+--R                                          2
+--R     + 
+--R                                                       +---------+
+--R           +-------+                                   |   2    2
+--R           | 2    2      (p sin(a x) + q cos(a x) + q)\|- q  + p
+--R       - 2\|q  - p  atan(-----------------------------------------)
+--R                                  2    2             2    2
+--R                                (q  - p )cos(a x) + q  - p
+--R  /
+--R       +---------+ +-------+
+--R       |   2    2  | 2    2
+--R     a\|- q  + p  \|q  - p
+--R                                                     Type: Expression Integer
+--E
+
 @
 
 \section{\cite{1}:14.361~~~~~$\displaystyle
@@ -509,7 +1259,7 @@ $$
 <<*>>=
 )clear all
 
---S 23 of 30
+--S 80
 aa:=integrate(1/(p+q*sin(a*x))^2,x)
 --R 
 --R
@@ -554,6 +1304,206 @@ aa:=integrate(1/(p+q*sin(a*x))^2,x)
 --R     ]
 --R                                     Type: Union(List Expression Integer,...)
 --E 
+
+--S 81
+t1:=integrate(1/(p+q*sin(a*x)),x)
+--R
+--R   (2)
+--R   [
+--R       log
+--R                                                      +-------+
+--R                                2    2             2  | 2    2
+--R              (p q sin(a x) + (q  - p )cos(a x) + q )\|q  - p
+--R            + 
+--R                    2    3                3    2              3    2
+--R              (- p q  + p )sin(a x) + (- q  + p q)cos(a x) - q  + p q
+--R         /
+--R            q sin(a x) + p
+--R    /
+--R         +-------+
+--R         | 2    2
+--R       a\|q  - p
+--R     ,
+--R                                          +---------+
+--R                                          |   2    2
+--R            (p sin(a x) + q cos(a x) + q)\|- q  + p
+--R      2atan(-----------------------------------------)
+--R                     2    2             2    2
+--R                   (q  - p )cos(a x) + q  - p
+--R    - ------------------------------------------------]
+--R                          +---------+
+--R                          |   2    2
+--R                        a\|- q  + p
+--R                                     Type: Union(List Expression Integer,...)
+--E
+
+--S 82
+bb1:=(q*cos(a*x))/(a*(p^2-q^2)*(p+q*sin(a*x)))+p/(p^2-q^2)*t1.1
+--R
+--R   (3)
+--R                            2
+--R         (- p q sin(a x) - p )
+--R      *
+--R         log
+--R                                                        +-------+
+--R                                  2    2             2  | 2    2
+--R                (p q sin(a x) + (q  - p )cos(a x) + q )\|q  - p
+--R              + 
+--R                      2    3                3    2              3    2
+--R                (- p q  + p )sin(a x) + (- q  + p q)cos(a x) - q  + p q
+--R           /
+--R              q sin(a x) + p
+--R     + 
+--R                    +-------+
+--R                    | 2    2
+--R       - q cos(a x)\|q  - p
+--R  /
+--R                                              +-------+
+--R          3      2                  2      3  | 2    2
+--R     ((a q  - a p q)sin(a x) + a p q  - a p )\|q  - p
+--R                                                     Type: Expression Integer
+--E
+
+--S 83
+bb2:=(q*cos(a*x))/(a*(p^2-q^2)*(p+q*sin(a*x)))+p/(p^2-q^2)*t1.2
+--R
+--R   (4)
+--R                                                               +---------+
+--R                                                               |   2    2
+--R                          2      (p sin(a x) + q cos(a x) + q)\|- q  + p
+--R       (2p q sin(a x) + 2p )atan(-----------------------------------------)
+--R                                          2    2             2    2
+--R                                        (q  - p )cos(a x) + q  - p
+--R     + 
+--R                    +---------+
+--R                    |   2    2
+--R       - q cos(a x)\|- q  + p
+--R  /
+--R                                              +---------+
+--R          3      2                  2      3  |   2    2
+--R     ((a q  - a p q)sin(a x) + a p q  - a p )\|- q  + p
+--R                                                     Type: Expression Integer
+--E
+
+--S 84
+cc1:=aa.1-bb1
+--R
+--R   (5)
+--R          2
+--R         p
+--R      *
+--R         log
+--R                                                        +-------+
+--R                                  2    2             2  | 2    2
+--R                (p q sin(a x) + (q  - p )cos(a x) + q )\|q  - p
+--R              + 
+--R                    2    3              3    2              3    2
+--R                (p q  - p )sin(a x) + (q  - p q)cos(a x) + q  - p q
+--R           /
+--R              q sin(a x) + p
+--R     + 
+--R          2
+--R         p
+--R      *
+--R         log
+--R                                                        +-------+
+--R                                  2    2             2  | 2    2
+--R                (p q sin(a x) + (q  - p )cos(a x) + q )\|q  - p
+--R              + 
+--R                      2    3                3    2              3    2
+--R                (- p q  + p )sin(a x) + (- q  + p q)cos(a x) - q  + p q
+--R           /
+--R              q sin(a x) + p
+--R     + 
+--R           +-------+
+--R           | 2    2
+--R       - q\|q  - p
+--R  /
+--R                     +-------+
+--R           2      3  | 2    2
+--R     (a p q  - a p )\|q  - p
+--R                                                     Type: Expression Integer
+--E
+
+--S 85
+cc2:=aa.2-bb1
+--R
+--R   (6)
+--R            +---------+
+--R          2 |   2    2
+--R         p \|- q  + p
+--R      *
+--R         log
+--R                                                        +-------+
+--R                                  2    2             2  | 2    2
+--R                (p q sin(a x) + (q  - p )cos(a x) + q )\|q  - p
+--R              + 
+--R                      2    3                3    2              3    2
+--R                (- p q  + p )sin(a x) + (- q  + p q)cos(a x) - q  + p q
+--R           /
+--R              q sin(a x) + p
+--R     + 
+--R                                                       +---------+
+--R           +-------+                                   |   2    2
+--R         2 | 2    2      (p sin(a x) + q cos(a x) + q)\|- q  + p
+--R       2p \|q  - p  atan(-----------------------------------------)
+--R                                  2    2             2    2
+--R                                (q  - p )cos(a x) + q  - p
+--R     + 
+--R           +---------+ +-------+
+--R           |   2    2  | 2    2
+--R       - q\|- q  + p  \|q  - p
+--R  /
+--R                     +---------+ +-------+
+--R           2      3  |   2    2  | 2    2
+--R     (a p q  - a p )\|- q  + p  \|q  - p
+--R                                                     Type: Expression Integer
+--E
+
+--S 86
+cc3:=aa.1-bb2
+--R
+--R   (7)
+--R            +---------+
+--R          2 |   2    2
+--R         p \|- q  + p
+--R      *
+--R         log
+--R                                                        +-------+
+--R                                  2    2             2  | 2    2
+--R                (p q sin(a x) + (q  - p )cos(a x) + q )\|q  - p
+--R              + 
+--R                    2    3              3    2              3    2
+--R                (p q  - p )sin(a x) + (q  - p q)cos(a x) + q  - p q
+--R           /
+--R              q sin(a x) + p
+--R     + 
+--R                                                         +---------+
+--R             +-------+                                   |   2    2
+--R           2 | 2    2      (p sin(a x) + q cos(a x) + q)\|- q  + p
+--R       - 2p \|q  - p  atan(-----------------------------------------)
+--R                                    2    2             2    2
+--R                                  (q  - p )cos(a x) + q  - p
+--R     + 
+--R           +---------+ +-------+
+--R           |   2    2  | 2    2
+--R       - q\|- q  + p  \|q  - p
+--R  /
+--R                     +---------+ +-------+
+--R           2      3  |   2    2  | 2    2
+--R     (a p q  - a p )\|- q  + p  \|q  - p
+--R                                                     Type: Expression Integer
+--E
+
+--S 87     14:361 Schaums and Axiom differ by a constant
+cc4:=aa.2-bb2
+--R
+--R                q
+--R   (8)  - -------------
+--R               2      3
+--R          a p q  - a p
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.362~~~~~$\displaystyle
@@ -564,7 +1514,7 @@ $$
 <<*>>=
 )clear all
 
---S 24 of 30
+--S 88
 aa:=integrate(1/(p^2+a^2*sin(a*x)),x)
 --R 
 --R
@@ -597,6 +1547,76 @@ aa:=integrate(1/(p^2+a^2*sin(a*x)),x)
 --R                      a\|p  - a
 --R                                     Type: Union(List Expression Integer,...)
 --E 
+
+--S 89
+bb:=1/(a*p*sqrt(p^2+q^2))*atan((sqrt(p^2+q^2)*tan(a*x))/p)
+--R
+--R                      +-------+
+--R                      | 2    2
+--R             tan(a x)\|q  + p
+--R        atan(------------------)
+--R                      p
+--R   (2)  ------------------------
+--R                  +-------+
+--R                  | 2    2
+--R              a p\|q  + p
+--R                                                     Type: Expression Integer
+--E
+
+--S 90
+cc1:=aa.1-bb
+--R
+--R   (3)
+--R           +-------+
+--R           | 2    2
+--R         p\|q  + p
+--R      *
+--R         log
+--R                                                          +---------+
+--R                  2 2               4    4             4  |   4    4
+--R                (a p sin(a x) + (- p  + a )cos(a x) + a )\|- p  + a
+--R              + 
+--R                  6    4 2              2 4    6             2 4    6
+--R                (p  - a p )sin(a x) + (a p  - a )cos(a x) + a p  - a
+--R           /
+--R               2            2
+--R              a sin(a x) + p
+--R     + 
+--R                                   +-------+
+--R          +---------+              | 2    2
+--R          |   4    4      tan(a x)\|q  + p
+--R       - \|- p  + a  atan(------------------)
+--R                                   p
+--R  /
+--R         +---------+ +-------+
+--R         |   4    4  | 2    2
+--R     a p\|- p  + a  \|q  + p
+--R                                                     Type: Expression Integer
+--E
+
+--S 91     14:362 Axiom cannot simplify this expression
+cc2:=aa.2-bb
+--R
+--R   (4)
+--R                                 +-------+
+--R          +-------+              | 2    2
+--R          | 4    4      tan(a x)\|q  + p
+--R       - \|p  - a  atan(------------------)
+--R                                 p
+--R     + 
+--R                                                       +-------+
+--R          +-------+       2            2            2  | 4    4
+--R          | 2    2      (p sin(a x) + a cos(a x) + a )\|p  - a
+--R       2p\|q  + p  atan(----------------------------------------)
+--R                                 4    4             4    4
+--R                               (p  - a )cos(a x) + p  - a
+--R  /
+--R         +-------+ +-------+
+--R         | 4    4  | 2    2
+--R     a p\|p  - a  \|q  + p
+--R                                                     Type: Expression Integer
+--E
+
 @
 
 \section{\cite{1}:14.363~~~~~$\displaystyle
@@ -616,7 +1636,7 @@ $$
 <<*>>=
 )clear all
 
---S 25 of 30
+--S 92
 aa:=integrate(1/(p^2-q^2*sin(a*x)^2),x)
 --R 
 --R
@@ -658,6 +1678,154 @@ aa:=integrate(1/(p^2-q^2*sin(a*x)^2),x)
 --R     ]
 --R                                     Type: Union(List Expression Integer,...)
 --E 
+
+--S 93
+bb1:=1/(a*p*sqrt(p^2-q^2))*atan((sqrt(p^2-q^2)*tan(a*x))/p)
+--R
+--R                      +---------+
+--R                      |   2    2
+--R             tan(a x)\|- q  + p
+--R        atan(--------------------)
+--R                       p
+--R   (2)  --------------------------
+--R                  +---------+
+--R                  |   2    2
+--R              a p\|- q  + p
+--R                                                     Type: Expression Integer
+--E
+
+--S 94
+bb2:=1/(2*a*p*sqrt(q^2-p^2))*log((sqrt(q^2-p^2)*tan(a*x)+p)/(sqrt(q^2-p^2)*tan(a*x)-p))
+--R
+--R                     +-------+
+--R                     | 2    2
+--R            tan(a x)\|q  - p   + p
+--R        log(----------------------)
+--R                     +-------+
+--R                     | 2    2
+--R            tan(a x)\|q  - p   - p
+--R   (3)  ---------------------------
+--R                    +-------+
+--R                    | 2    2
+--R               2a p\|q  - p
+--R                                                     Type: Expression Integer
+--E
+
+--S 95
+cc1:=aa.1-bb1
+--R
+--R   (4)
+--R          +---------+
+--R          |   2    2
+--R         \|- q  + p
+--R      *
+--R         log
+--R                                                  +-------+
+--R                     2     2         2    2    2  | 2    2
+--R                ((- q  + 2p )cos(a x)  + q  - p )\|q  - p
+--R              + 
+--R                     2     3
+--R                (2p q  - 2p )cos(a x)sin(a x)
+--R           /
+--R               2        2    2    2
+--R              q cos(a x)  - q  + p
+--R     + 
+--R                                  +---------+
+--R           +-------+              |   2    2
+--R           | 2    2      tan(a x)\|- q  + p
+--R       - 2\|q  - p  atan(--------------------)
+--R                                   p
+--R  /
+--R          +---------+ +-------+
+--R          |   2    2  | 2    2
+--R     2a p\|- q  + p  \|q  - p
+--R                                                     Type: Expression Integer
+--E
+
+--S 96
+cc2:=aa.2-bb1
+--R
+--R   (5)
+--R                       +---------+                         +---------+
+--R                       |   2    2                          |   2    2
+--R              tan(a x)\|- q  + p                p sin(a x)\|- q  + p
+--R       - atan(--------------------) - atan(-------------------------------)
+--R                        p                     2     2              2     2
+--R                                           (2q  - 2p )cos(a x) + 2q  - 2p
+--R     + 
+--R                    2    2              2     2
+--R                ((2q  - p )cos(a x) + 2q  - 2p )sin(a x)
+--R       - atan(-------------------------------------------)
+--R                                              +---------+
+--R                         2                    |   2    2
+--R              (p cos(a x)  + 2p cos(a x) + p)\|- q  + p
+--R  /
+--R         +---------+
+--R         |   2    2
+--R     a p\|- q  + p
+--R                                                     Type: Expression Integer
+--E
+
+--S 97
+cc3:=aa.1-bb2
+--R
+--R   (6)
+--R                      +-------+
+--R                      | 2    2
+--R             tan(a x)\|q  - p   + p
+--R       - log(----------------------)
+--R                      +-------+
+--R                      | 2    2
+--R             tan(a x)\|q  - p   - p
+--R     + 
+--R       log
+--R                                                +-------+
+--R                   2     2         2    2    2  | 2    2
+--R              ((- q  + 2p )cos(a x)  + q  - p )\|q  - p
+--R            + 
+--R                   2     3
+--R              (2p q  - 2p )cos(a x)sin(a x)
+--R         /
+--R             2        2    2    2
+--R            q cos(a x)  - q  + p
+--R  /
+--R          +-------+
+--R          | 2    2
+--R     2a p\|q  - p
+--R                                                     Type: Expression Integer
+--E
+
+--S 98     14:363 Axiom cannot simplify this expression
+cc4:=aa.2-bb2
+--R
+--R   (7)
+--R                                  +-------+
+--R          +---------+             | 2    2
+--R          |   2    2     tan(a x)\|q  - p   + p
+--R       - \|- q  + p  log(----------------------)
+--R                                  +-------+
+--R                                  | 2    2
+--R                         tan(a x)\|q  - p   - p
+--R     + 
+--R                                         +---------+
+--R           +-------+                     |   2    2
+--R           | 2    2           p sin(a x)\|- q  + p
+--R       - 2\|q  - p  atan(-------------------------------)
+--R                            2     2              2     2
+--R                         (2q  - 2p )cos(a x) + 2q  - 2p
+--R     + 
+--R           +-------+           2    2              2     2
+--R           | 2    2        ((2q  - p )cos(a x) + 2q  - 2p )sin(a x)
+--R       - 2\|q  - p  atan(-------------------------------------------)
+--R                                                         +---------+
+--R                                    2                    |   2    2
+--R                         (p cos(a x)  + 2p cos(a x) + p)\|- q  + p
+--R  /
+--R          +---------+ +-------+
+--R          |   2    2  | 2    2
+--R     2a p\|- q  + p  \|q  - p
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.364~~~~~$\displaystyle
@@ -669,7 +1837,7 @@ $$
 <<*>>=
 )clear all
 
---S 26 of 30
+--S 99     14:364 Axiom cannot compute this integral
 aa:=integrate(x^m*sin(a*x),x)
 --R 
 --R
@@ -689,7 +1857,7 @@ $$
 <<*>>=
 )clear all
 
---S 26 of 30
+--S 100    14:365 Axiom cannot compute this integral
 aa:=integrate(sin(a*x)/x^n,x)
 --R 
 --R
@@ -710,7 +1878,7 @@ $$
 <<*>>=
 )clear all
 
---S 28 of 30
+--S 101    14:366 Axiom cannot compute this integral
 aa:=integrate(sin(a*x)^n,x)
 --R 
 --R
@@ -731,7 +1899,7 @@ $$
 <<*>>=
 )clear all
 
---S 29 of 30
+--S 102    14:367 Axiom cannot compute this integral
 aa:=integrate(1/(sin(a*x))^n,x)
 --R 
 --R
@@ -739,7 +1907,7 @@ aa:=integrate(1/(sin(a*x))^n,x)
 --R         ++       1
 --I   (1)   |   ---------- d%I
 --R        ++            n
---i             sin(%I a)
+--I             sin(%I a)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 @
@@ -754,7 +1922,7 @@ $$
 <<*>>=
 )clear all
 
---S 30 of 30
+--S 103    14:368 Axiom cannot compute this integral
 aa:=integrate(x/sin(a*x)^n,x)
 --R 
 --R
diff --git a/src/input/schaum18.input.pamphlet b/src/input/schaum18.input.pamphlet
index 3cb4766..95fceae 100644
--- a/src/input/schaum18.input.pamphlet
+++ b/src/input/schaum18.input.pamphlet
@@ -18,7 +18,7 @@ $$
 )set message auto off
 )clear all
 
---S 1 of 30
+--S 1
 aa:=integrate(cos(a*x),x)
 --R 
 --R
@@ -27,6 +27,22 @@ aa:=integrate(cos(a*x),x)
 --R            a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 2
+bb:=sin(a*x)/a
+--R
+--R        sin(a x)
+--R   (2)  --------
+--R            a
+--R                                                     Type: Expression Integer
+--E
+
+--S 3      14:369 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.370~~~~~$\displaystyle
@@ -37,7 +53,7 @@ $$
 <<*>>=
 )clear all
 
---S 2 of 30
+--S 4
 aa:=integrate(x*cos(a*x),x)
 --R 
 --R
@@ -47,6 +63,23 @@ aa:=integrate(x*cos(a*x),x)
 --R                   a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 5
+bb:=cos(a*x)/a^2+(x*sin(a*x))/a
+--R
+--R        a x sin(a x) + cos(a x)
+--R   (2)  -----------------------
+--R                    2
+--R                   a
+--R                                                     Type: Expression Integer
+--E
+
+--S 6      14:370 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.371~~~~~$\displaystyle
@@ -57,7 +90,7 @@ $$
 <<*>>=
 )clear all
 
---S 3 of 30
+--S 7
 aa:=integrate(x^2*cos(a*x),x)
 --R 
 --R
@@ -68,6 +101,24 @@ aa:=integrate(x^2*cos(a*x),x)
 --R                        a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 8
+bb:=(2*x)/a^2*cos(a*x)+(x^2/a-2/a^3)*sin(a*x)
+--R
+--R          2 2
+--R        (a x  - 2)sin(a x) + 2a x cos(a x)
+--R   (2)  ----------------------------------
+--R                         3
+--R                        a
+--R                                                     Type: Expression Integer
+--E
+
+--S 9      14:371 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.372~~~~~$\displaystyle
@@ -79,7 +130,7 @@ $$
 <<*>>=
 )clear all
 
---S 4 of 30
+--S 10
 aa:=integrate(x^3*cos(a*x),x)
 --R 
 --R
@@ -90,6 +141,24 @@ aa:=integrate(x^3*cos(a*x),x)
 --R                             a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 11
+bb:=((3*x^2)/a^2-6/a^4)*cos(a*x)+(x^3/a-(6*x)/a^3)*sin(a*x)
+--R
+--R          3 3                      2 2
+--R        (a x  - 6a x)sin(a x) + (3a x  - 6)cos(a x)
+--R   (2)  -------------------------------------------
+--R                              4
+--R                             a
+--R                                                     Type: Expression Integer
+--E
+
+--S 12     14:372 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.373~~~~~$\displaystyle
@@ -101,7 +170,7 @@ $$
 <<*>>=
 )clear all
 
---S 5 of 30
+--S 13     14:373 Schaums and Axiom agree by definition
 aa:=integrate(cos(x)/x,x)
 --R 
 --R
@@ -118,7 +187,7 @@ $$
 <<*>>=
 )clear all
 
---S 6 of 30
+--S 14     14:374 Axiom cannot compute this integral
 aa:=integrate(cos(a*x)/x^2,x)
 --R 
 --R
@@ -140,7 +209,7 @@ $$
 <<*>>=
 )clear all
 
---S 7 of 30
+--S 15
 aa:=integrate(1/cos(a*x),x)
 --R 
 --R
@@ -151,6 +220,59 @@ aa:=integrate(1/cos(a*x),x)
 --R                                     a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 16
+bb1:=1/a*log(sec(a*x)+tan(a*x))
+--R
+--R        log(tan(a x) + sec(a x))
+--R   (2)  ------------------------
+--R                    a
+--R                                                     Type: Expression Integer
+--E
+
+--S 17
+bb2:=1/a*log(tan(%pi/4+(a*x)/2))
+--R
+--R                2a x + %pi
+--R        log(tan(----------))
+--R                     4
+--R   (3)  --------------------
+--R                  a
+--R                                                     Type: Expression Integer
+--E
+
+--S 18
+cc1:=aa-bb1
+--R
+--R   (4)
+--R                                        sin(a x) + cos(a x) + 1
+--R       - log(tan(a x) + sec(a x)) + log(-----------------------)
+--R                                              cos(a x) + 1
+--R     + 
+--R             sin(a x) - cos(a x) - 1
+--R       - log(-----------------------)
+--R                   cos(a x) + 1
+--R  /
+--R     a
+--R                                                     Type: Expression Integer
+--E
+
+--S 19     14:375 Axiom cannot simplify these expressions
+cc2:=aa-bb2
+--R
+--R   (5)
+--R                 2a x + %pi         sin(a x) + cos(a x) + 1
+--R       - log(tan(----------)) + log(-----------------------)
+--R                      4                   cos(a x) + 1
+--R     + 
+--R             sin(a x) - cos(a x) - 1
+--R       - log(-----------------------)
+--R                   cos(a x) + 1
+--R  /
+--R     a
+--R                                                     Type: Expression Integer
+--E
+
 @
 
 \section{\cite{1}:14.376~~~~~$\displaystyle
@@ -164,7 +286,7 @@ $$
 <<*>>=
 )clear all
 
---S 8 of 30
+--S 20     14:376 Axiom cannot compute this integral
 aa:=integrate(x/cos(a*x),x)
 --R 
 --R
@@ -184,7 +306,7 @@ $$
 <<*>>=
 )clear all
 
---S 9 of 30
+--S 21
 aa:=integrate(cos(a*x)^2,x)
 --R 
 --R
@@ -193,6 +315,40 @@ aa:=integrate(cos(a*x)^2,x)
 --R                  2a
 --R                                          Type: Union(Expression Integer,...)
 --E
+
+--S 22
+bb:=x/2+sin(2*a*x)/(4*a)
+--R
+--R        sin(2a x) + 2a x
+--R   (2)  ----------------
+--R               4a
+--R                                                     Type: Expression Integer
+--E
+
+--S 23
+cc:=aa-bb
+--R
+--R        - sin(2a x) + 2cos(a x)sin(a x)
+--R   (3)  -------------------------------
+--R                       4a
+--R                                                     Type: Expression Integer
+--E
+
+--S 24
+cossinrule:=rule(cos(b)*sin(a) == 1/2*(sin(a-b)+sin(a+b)))
+--R
+--I                           %S sin(b + a) - %S sin(b - a)
+--I   (4)  %S cos(b)sin(a) == -----------------------------
+--R                                         2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 25     14:377 Schaums and Axiom agree
+dd:=cossinrule cc
+--R
+--R   (5)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.378~~~~~$\displaystyle
@@ -203,7 +359,7 @@ $$
 <<*>>=
 )clear all
 
---S 10 of 30
+--S 26
 aa:=integrate(x*cos(a*x)^2,x)
 --R 
 --R
@@ -214,6 +370,87 @@ aa:=integrate(x*cos(a*x)^2,x)
 --R                           4a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 27
+bb:=x^2/4+(x*sin(2*a*x))/(4*a)+cos(2*a*x)/(8*a^2)
+--R
+--R                                       2 2
+--R        2a x sin(2a x) + cos(2a x) + 2a x
+--R   (2)  ----------------------------------
+--R                          2
+--R                        8a
+--R                                                     Type: Expression Integer
+--E
+
+--S 28
+cc:=aa-bb
+--R
+--R                                                                        2
+--R        - 2a x sin(2a x) + 4a x cos(a x)sin(a x) - cos(2a x) + 2cos(a x)
+--R   (3)  -----------------------------------------------------------------
+--R                                         2
+--R                                       8a
+--R                                                     Type: Expression Integer
+--E
+
+--S 29
+cossinrule:=rule(cos(b)*sin(a) == 1/2*(sin(a-b)+sin(a+b)))
+--R
+--I                           %T sin(b + a) - %T sin(b - a)
+--I   (4)  %T cos(b)sin(a) == -----------------------------
+--R                                         2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 30
+dd:=cossinrule cc
+--R
+--R                               2
+--R        - cos(2a x) + 2cos(a x)
+--R   (5)  ------------------------
+--R                     2
+--R                   8a
+--R                                                     Type: Expression Integer
+--E
+
+--S 31
+coscosrule:=rule(cos(a)*cos(b) == 1/2*(cos(a-b)+cos(a+b)))
+--R
+--I                           %U cos(b + a) + %U cos(b - a)
+--I   (6)  %U cos(a)cos(b) == -----------------------------
+--R                                         2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 32
+ee:=coscosrule dd
+--R
+--R                               2
+--R        - cos(2a x) + 2cos(a x)
+--R   (7)  ------------------------
+--R                     2
+--R                   8a
+--R                                                     Type: Expression Integer
+--E
+
+--S 33
+cossqrrule1:=rule(cos(a)^2 == 1/2+1/2*cos(2*a))
+--R
+--R              2    cos(2a) + 1
+--R   (8)  cos(a)  == -----------
+--R                        2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 34     14:378 Schaums and Axiom differ by a constant
+ff:=cossqrrule1 ee
+--R
+--R         1
+--R   (9)  ---
+--R          2
+--R        8a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.379~~~~~$\displaystyle
@@ -224,7 +461,7 @@ $$
 <<*>>=
 )clear all
 
---S 11 of 30
+--S 35
 aa:=integrate(cos(a*x)^3,x)
 --R 
 --R
@@ -233,7 +470,42 @@ aa:=integrate(cos(a*x)^3,x)
 --R   (1)  -----------------------
 --R                   3a
 --R                                          Type: Union(Expression Integer,...)
+--E
+
+--S 36
+bb:=sin(a*x)/a-sin(a*x)^3/(3*a)
+--R
+--R                  3
+--R        - sin(a x)  + 3sin(a x)
+--R   (2)  -----------------------
+--R                   3a
+--R                                                     Type: Expression Integer
 --E 
+
+--S 37
+cc:=aa-bb
+--R
+--R                3            2
+--R        sin(a x)  + (cos(a x)  - 1)sin(a x)
+--R   (3)  -----------------------------------
+--R                         3a
+--R                                                     Type: Expression Integer
+--E
+
+--S 38
+cossqrrule:=rule(cos(a)^2 == 1-sin(a)^2)
+--R
+--R              2            2
+--R   (4)  cos(a)  == - sin(a)  + 1
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 39     14:379 Schaums and Axiom agree
+dd:=cossqrrule cc
+--R
+--R   (5)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.380~~~~~$\displaystyle
@@ -244,7 +516,7 @@ $$
 <<*>>=
 )clear all
 
---S 12 of 30
+--S 40
 aa:=integrate(cos(a*x)^4,x)
 --R 
 --R
@@ -253,7 +525,26 @@ aa:=integrate(cos(a*x)^4,x)
 --R   (1)  ---------------------------------------
 --R                           8a
 --R                                          Type: Union(Expression Integer,...)
+--E
+
+--S 41
+bb:=(3*x)/8+sin(2*a*x)/(4*a)+sin(4*a*x)/(32*a)
+--R
+--R        sin(4a x) + 8sin(2a x) + 12a x
+--R   (2)  ------------------------------
+--R                      32a
+--R                                                     Type: Expression Integer
 --E 
+
+--S 42     14:380 Axiom cannot simplify this expression
+cc:=aa-bb
+--R
+--R                                             3
+--R        - sin(4a x) - 8sin(2a x) + (8cos(a x)  + 12cos(a x))sin(a x)
+--R   (3)  ------------------------------------------------------------
+--R                                     32a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.381~~~~~$\displaystyle
@@ -264,7 +555,7 @@ $$
 <<*>>=
 )clear all
 
---S 13 of 30
+--S 43
 aa:=integrate(1/cos(a*x)^2,x)
 --R 
 --R
@@ -272,7 +563,41 @@ aa:=integrate(1/cos(a*x)^2,x)
 --R   (1)  ----------
 --R        a cos(a x)
 --R                                          Type: Union(Expression Integer,...)
+--E
+
+--S 44
+bb:=tan(a*x)/a
+--R
+--R        tan(a x)
+--R   (2)  --------
+--R            a
+--R                                                     Type: Expression Integer
 --E 
+
+--S 45
+cc:=aa-bb
+--R
+--R        - cos(a x)tan(a x) + sin(a x)
+--R   (3)  -----------------------------
+--R                  a cos(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 46
+tanrule:=rule(tan(a) == sin(a)/cos(a))
+--R
+--R                  sin(a)
+--R   (4)  tan(a) == ------
+--R                  cos(a)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 47     14:381 Schaums and Axiom agree
+dd:=tanrule cc
+--R
+--R   (5)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.382~~~~~$\displaystyle
@@ -284,7 +609,7 @@ $$
 <<*>>=
 )clear all
 
---S 14 of 30
+--S 48
 aa:=integrate(1/cos(a*x)^3,x)
 --R 
 --R
@@ -300,7 +625,35 @@ aa:=integrate(1/cos(a*x)^3,x)
 --R                2
 --R     2a cos(a x)
 --R                                          Type: Union(Expression Integer,...)
+--E
+
+--S 49
+bb:=sin(a*x)/(2*a*cos(a*x)^2)+1/(2*a)*log(tan(%pi/4+(a*x)/2))
+--R
+--R                2        2a x + %pi
+--R        cos(a x) log(tan(----------)) + sin(a x)
+--R                              4
+--R   (2)  ----------------------------------------
+--R                                 2
+--R                      2a cos(a x)
+--R                                                     Type: Expression Integer
 --E 
+
+--S 50     14:382 Axiom cannot simplify this expression
+cc:=aa-bb
+--R
+--R   (3)
+--R                 2a x + %pi         sin(a x) + cos(a x) + 1
+--R       - log(tan(----------)) + log(-----------------------)
+--R                      4                   cos(a x) + 1
+--R     + 
+--R             sin(a x) - cos(a x) - 1
+--R       - log(-----------------------)
+--R                   cos(a x) + 1
+--R  /
+--R     2a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.383~~~~~$\displaystyle
@@ -311,7 +664,7 @@ $$
 <<*>>=
 )clear all
 
---S 15 of 30
+--S 51
 aa:=integrate(cos(p*x)*cos(q*x),x)
 --R 
 --R
@@ -320,7 +673,35 @@ aa:=integrate(cos(p*x)*cos(q*x),x)
 --R                         2    2
 --R                        q  - p
 --R                                          Type: Union(Expression Integer,...)
+--E
+
+--S 52
+bb:=(sin(a-p)*x)/(2*(a-p))+(sin(a+p)*x)/(2*(a+p))
+--R
+--R        (p - a)x sin(p + a) + (p + a)x sin(p - a)
+--R   (2)  -----------------------------------------
+--R                          2     2
+--R                        2p  - 2a
+--R                                                     Type: Expression Integer
 --E 
+
+--S 53     14:383 Axiom cannot simplify this expression
+cc:=aa-bb
+--R
+--R   (3)
+--R          2     2                           3     2
+--R       (2p  - 2a )q cos(p x)sin(q x) + (- 2p  + 2a p)cos(q x)sin(p x)
+--R     + 
+--R                  2    3      2
+--R       ((- p + a)q  + p  - a p )x sin(p + a)
+--R     + 
+--R                  2    3      2
+--R       ((- p - a)q  + p  + a p )x sin(p - a)
+--R  /
+--R        2     2  2     4     2 2
+--R     (2p  - 2a )q  - 2p  + 2a p
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.384~~~~~$\displaystyle
@@ -331,7 +712,7 @@ $$
 <<*>>=
 )clear all
 
---S 16 of 30
+--S 54
 aa:=integrate(1/(1-cos(a*x)),x)
 --R 
 --R
@@ -340,6 +721,24 @@ aa:=integrate(1/(1-cos(a*x)),x)
 --R          a sin(a x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 55
+bb:=-1/a*cot(a*x)/2
+--R
+--R          cot(a x)
+--R   (2)  - --------
+--R             2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 56     14:384 Axiom cannot simplify this expression
+cc:=aa-bb
+--R
+--R        cot(a x)sin(a x) - 2cos(a x) - 2
+--R   (3)  --------------------------------
+--R                   2a sin(a x)
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.385~~~~~$\displaystyle
@@ -351,7 +750,7 @@ $$
 <<*>>=
 )clear all
 
---S 17 of 30
+--S 57
 aa:=integrate(x/(1-cos(ax)),x)
 --R 
 --R
@@ -361,6 +760,30 @@ aa:=integrate(x/(1-cos(ax)),x)
 --R          2cos(ax) - 2
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 58
+bb:=-x/a*cot(a*x)/2+2/a^2*log(sin((a*x)/2))
+--R
+--R                 a x
+--R        4log(sin(---)) - a x cot(a x)
+--R                  2
+--R   (2)  -----------------------------
+--R                       2
+--R                     2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 59     14:385 Axiom cannot simplify this expression
+cc:=aa-bb
+--R
+--R                                a x                                    2 2
+--R        (- 4cos(ax) + 4)log(sin(---)) + (a x cos(ax) - a x)cot(a x) - a x
+--R                                 2
+--R   (3)  ------------------------------------------------------------------
+--R                                   2            2
+--R                                 2a cos(ax) - 2a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.386~~~~~$\displaystyle
@@ -371,7 +794,7 @@ $$
 <<*>>=
 )clear all
 
---S 18 of 30
+--S 60
 aa:=integrate(1/(1+cos(ax)),x)
 --R 
 --R
@@ -379,7 +802,25 @@ aa:=integrate(1/(1+cos(ax)),x)
 --R   (1)  -----------
 --R        cos(ax) + 1
 --R                                          Type: Union(Expression Integer,...)
---E 
+--E
+
+--S 61
+bb:=1/a*tan(a*x)/2
+--R
+--R        tan(a x)
+--R   (2)  --------
+--R           2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 62     14:386 Axiom cannot simplify this expression
+cc:=aa-bb
+--R
+--R        (- cos(ax) - 1)tan(a x) + 2a x
+--R   (3)  ------------------------------
+--R                2a cos(ax) + 2a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.387~~~~~$\displaystyle
@@ -391,7 +832,7 @@ $$
 <<*>>=
 )clear all
 
---S 19 of 30
+--S 63
 aa:=integrate(x/(1+cos(a*x)),x)
 --R 
 --R
@@ -403,6 +844,35 @@ aa:=integrate(x/(1+cos(a*x)),x)
 --R                         a cos(a x) + a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 64
+bb:=x/a*tan((a*x)/2)+2/a^2*log(cos((a*x)/2))
+--R
+--R                 a x             a x
+--R        2log(cos(---)) + a x tan(---)
+--R                  2               2
+--R   (2)  -----------------------------
+--R                       2
+--R                      a
+--R                                                     Type: Expression Integer
+--E
+
+--S 65     14:387 Axiom cannot simplify this expression
+cc:=aa-bb
+--R
+--R   (3)
+--R                                a x                               2
+--R       (- 2cos(a x) - 2)log(cos(---)) + (- cos(a x) - 1)log(------------)
+--R                                 2                          cos(a x) + 1
+--R     + 
+--R                                 a x
+--R       (- a x cos(a x) - a x)tan(---) + a x sin(a x)
+--R                                  2
+--R  /
+--R      2            2
+--R     a cos(a x) + a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.388~~~~~$\displaystyle
@@ -414,7 +884,7 @@ $$
 <<*>>=
 )clear all
 
---S 20 of 30
+--S 66
 aa:=integrate(1/(1-cos(a*x))^2,x)
 --R 
 --R
@@ -423,7 +893,32 @@ aa:=integrate(1/(1-cos(a*x))^2,x)
 --R   (1)  --------------------------
 --R        (3a cos(a x) - 3a)sin(a x)
 --R                                          Type: Union(Expression Integer,...)
+--E
+
+--S 67
+bb:=-1/(2*a)*cot((a*x)/2)-1/(6*a)*cot((a*x)/2)^3
+--R
+--R              a x 3        a x
+--R        - cot(---)  - 3cot(---)
+--R               2            2
+--R   (2)  -----------------------
+--R                   6a
+--R                                                     Type: Expression Integer
 --E 
+
+--S 68     14:388 Axiom cannot simplify this expression
+cc:=aa-bb
+--R
+--R   (3)
+--R                          a x 3                      a x                      2
+--R       ((cos(a x) - 1)cot(---)  + (3cos(a x) - 3)cot(---))sin(a x) - 2cos(a x)
+--R                           2                          2
+--R     + 
+--R       2cos(a x) + 4
+--R  /
+--R     (6a cos(a x) - 6a)sin(a x)
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.389~~~~~$\displaystyle
@@ -435,7 +930,7 @@ $$
 <<*>>=
 )clear all
 
---S 21 of 30
+--S 69
 aa:=integrate(1/(1+cos(a*x))^2,x)
 --R 
 --R
@@ -445,6 +940,34 @@ aa:=integrate(1/(1+cos(a*x))^2,x)
 --R        3a cos(a x)  + 6a cos(a x) + 3a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 70
+bb:=1/(2*a)*tan((a*x)/2)+1/(6*a)*tan((a*x)/2)^2
+--R
+--R            a x 2        a x
+--R        tan(---)  + 3tan(---)
+--R             2            2
+--R   (2)  ---------------------
+--R                  6a
+--R                                                     Type: Expression Integer
+--E
+
+--S 71     14:389 Axiom cannot simplify this expression
+cc:=aa-bb
+--R
+--R   (3)
+--R                  2                     a x 2
+--R       (- cos(a x)  - 2cos(a x) - 1)tan(---)
+--R                                         2
+--R     + 
+--R                   2                     a x
+--R       (- 3cos(a x)  - 6cos(a x) - 3)tan(---) + (2cos(a x) + 4)sin(a x)
+--R                                          2
+--R  /
+--R                2
+--R     6a cos(a x)  + 12a cos(a x) + 6a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.390~~~~~$\displaystyle
@@ -466,7 +989,7 @@ $$
 <<*>>=
 )clear all
 
---S 22 of 30
+--S 72
 aa:=integrate(1/(p+q*cos(a*x)),x)
 --R 
 --R
@@ -491,6 +1014,128 @@ aa:=integrate(1/(p+q*cos(a*x)),x)
 --R             a\|- q  + p
 --R                                     Type: Union(List Expression Integer,...)
 --E 
+
+--S 73
+bb1:=2/(a*sqrt(p^2-q^2))*atan(sqrt((p-q)/(p+q)))*tan(1/2*a*x)
+--R
+--R                       +-------+
+--R             a x       |- q + p
+--R        2tan(---)atan( |------- )
+--R              2       \| q + p
+--R   (2)  -------------------------
+--R                +---------+
+--R                |   2    2
+--R              a\|- q  + p
+--R                                                     Type: Expression Integer
+--E
+
+--S 74
+bb2:=a/(a*sqrt(q^2-p^2))*log((tan(1/2*a*x)+sqrt((q+p)/(q-p)))/(tan(1/2*a*x)-sqrt((q+p)/(q-p))))
+--R
+--R               +-----+
+--R               |q + p        a x
+--R            -  |-----  - tan(---)
+--R              \|q - p         2
+--R        log(---------------------)
+--R              +-----+
+--R              |q + p        a x
+--R              |-----  - tan(---)
+--R             \|q - p         2
+--R   (3)  --------------------------
+--R                 +-------+
+--R                 | 2    2
+--R                \|q  - p
+--R                                                     Type: Expression Integer
+--E
+
+--S 75
+cc1:=aa.1-bb1
+--R
+--R   (4)
+--R                                          +-------+
+--R        +---------+                       | 2    2        2    2
+--R        |   2    2     (- p cos(a x) - q)\|q  - p   + (- q  + p )sin(a x)
+--R       \|- q  + p  log(--------------------------------------------------)
+--R                                         q cos(a x) + p
+--R     + 
+--R                   +-------+      +-------+
+--R              a x  | 2    2       |- q + p
+--R       - 2tan(---)\|q  - p  atan( |------- )
+--R               2                 \| q + p
+--R  /
+--R       +---------+ +-------+
+--R       |   2    2  | 2    2
+--R     a\|- q  + p  \|q  - p
+--R                                                     Type: Expression Integer
+--E
+
+--S 76
+cc2:=aa.2-bb1
+--R
+--R                                                       +---------+
+--R                         +-------+                     |   2    2
+--R               a x       |- q + p             sin(a x)\|- q  + p
+--R        - 2tan(---)atan( |------- ) + 2atan(-----------------------)
+--R                2       \| q + p            (q + p)cos(a x) + q + p
+--R   (5)  ------------------------------------------------------------
+--R                                  +---------+
+--R                                  |   2    2
+--R                                a\|- q  + p
+--R                                                     Type: Expression Integer
+--E
+
+--S 77
+cc3:=aa.1-bb2
+--R
+--R   (6)
+--R                  +-----+
+--R                  |q + p        a x
+--R               -  |-----  - tan(---)
+--R                 \|q - p         2
+--R       - a log(---------------------)
+--R                 +-----+
+--R                 |q + p        a x
+--R                 |-----  - tan(---)
+--R                \|q - p         2
+--R     + 
+--R                              +-------+
+--R                              | 2    2        2    2
+--R           (- p cos(a x) - q)\|q  - p   + (- q  + p )sin(a x)
+--R       log(--------------------------------------------------)
+--R                             q cos(a x) + p
+--R  /
+--R       +-------+
+--R       | 2    2
+--R     a\|q  - p
+--R                                                     Type: Expression Integer
+--E
+
+--S 78     14:390 Axiom cannot simplify these expressions
+cc4:=aa.2-bb2
+--R
+--R   (7)
+--R                             +-----+
+--R                             |q + p        a x
+--R           +---------+    -  |-----  - tan(---)
+--R           |   2    2       \|q - p         2
+--R       - a\|- q  + p  log(---------------------)
+--R                            +-----+
+--R                            |q + p        a x
+--R                            |-----  - tan(---)
+--R                           \|q - p         2
+--R     + 
+--R                                  +---------+
+--R         +-------+                |   2    2
+--R         | 2    2        sin(a x)\|- q  + p
+--R       2\|q  - p  atan(-----------------------)
+--R                       (q + p)cos(a x) + q + p
+--R  /
+--R       +---------+ +-------+
+--R       |   2    2  | 2    2
+--R     a\|- q  + p  \|q  - p
+--R                                                     Type: Expression Integer
+--E
+
 @
 
 \section{\cite{1}:14.391~~~~~$\displaystyle
@@ -502,7 +1147,7 @@ $$
 <<*>>=
 )clear all
 
---S 23 of 30
+--S 79
 aa:=integrate(1/(p+q*cos(a*x))^2,x)
 --R 
 --R
@@ -542,6 +1187,143 @@ aa:=integrate(1/(p+q*cos(a*x))^2,x)
 --R     ]
 --R                                     Type: Union(List Expression Integer,...)
 --E 
+
+--S 80
+t1:=integrate(1/(p+q*cos(a*x)),x)
+--R
+--R   (2)
+--R                           +-------+
+--R                           | 2    2        2    2
+--R        (- p cos(a x) - q)\|q  - p   + (- q  + p )sin(a x)
+--R    log(--------------------------------------------------)
+--R                          q cos(a x) + p
+--R   [-------------------------------------------------------,
+--R                            +-------+
+--R                            | 2    2
+--R                          a\|q  - p
+--R                     +---------+
+--R                     |   2    2
+--R            sin(a x)\|- q  + p
+--R    2atan(-----------------------)
+--R          (q + p)cos(a x) + q + p
+--R    ------------------------------]
+--R               +---------+
+--R               |   2    2
+--R             a\|- q  + p
+--R                                     Type: Union(List Expression Integer,...)
+--E
+
+--S 81
+bb1:=(q*sin(a*x))/(a*(q^2-p^2)*(p+q*cos(a*x)))-p/(q^2-p^2)*t1.1
+--R
+--R   (3)
+--R                            2
+--R         (- p q cos(a x) - p )
+--R      *
+--R                                +-------+
+--R                                | 2    2        2    2
+--R             (- p cos(a x) - q)\|q  - p   + (- q  + p )sin(a x)
+--R         log(--------------------------------------------------)
+--R                               q cos(a x) + p
+--R     + 
+--R                  +-------+
+--R                  | 2    2
+--R       q sin(a x)\|q  - p
+--R  /
+--R                                              +-------+
+--R          3      2                  2      3  | 2    2
+--R     ((a q  - a p q)cos(a x) + a p q  - a p )\|q  - p
+--R                                                     Type: Expression Integer
+--E
+
+--S 82
+bb2:=(q*sin(a*x))/(a*(q^2-p^2)*(p+q*cos(a*x)))-p/(q^2-p^2)*t1.2
+--R
+--R   (4)
+--R                                          +---------+
+--R                                          |   2    2                 +---------+
+--R                        2        sin(a x)\|- q  + p                  |   2    2
+--R   (- 2p q cos(a x) - 2p )atan(-----------------------) + q sin(a x)\|- q  + p
+--R                               (q + p)cos(a x) + q + p
+--R   -----------------------------------------------------------------------------
+--R                                                         +---------+
+--R                     3      2                  2      3  |   2    2
+--R                ((a q  - a p q)cos(a x) + a p q  - a p )\|- q  + p
+--R                                                     Type: Expression Integer
+--E
+
+--S 83
+cc1:=aa.1-bb1
+--R
+--R   (5)
+--R                                +-------+
+--R                                | 2    2      2    2
+--R             (- p cos(a x) - q)\|q  - p   + (q  - p )sin(a x)
+--R       p log(------------------------------------------------)
+--R                              q cos(a x) + p
+--R     + 
+--R                                +-------+
+--R                                | 2    2        2    2
+--R             (- p cos(a x) - q)\|q  - p   + (- q  + p )sin(a x)
+--R       p log(--------------------------------------------------)
+--R                               q cos(a x) + p
+--R  /
+--R                   +-------+
+--R         2      2  | 2    2
+--R     (a q  - a p )\|q  - p
+--R                                                     Type: Expression Integer
+--E
+
+--S 84
+cc2:=aa.2-bb1
+--R
+--R   (6)
+--R                                           +-------+
+--R         +---------+                       | 2    2        2    2
+--R         |   2    2     (- p cos(a x) - q)\|q  - p   + (- q  + p )sin(a x)
+--R       p\|- q  + p  log(--------------------------------------------------)
+--R                                          q cos(a x) + p
+--R     + 
+--R                                     +---------+
+--R            +-------+                |   2    2
+--R            | 2    2        sin(a x)\|- q  + p
+--R       - 2p\|q  - p  atan(-----------------------)
+--R                          (q + p)cos(a x) + q + p
+--R  /
+--R                   +---------+ +-------+
+--R         2      2  |   2    2  | 2    2
+--R     (a q  - a p )\|- q  + p  \|q  - p
+--R                                                     Type: Expression Integer
+--E
+
+--S 85
+cc3:=aa.1-bb2
+--R
+--R   (7)
+--R                                           +-------+
+--R         +---------+                       | 2    2      2    2
+--R         |   2    2     (- p cos(a x) - q)\|q  - p   + (q  - p )sin(a x)
+--R       p\|- q  + p  log(------------------------------------------------)
+--R                                         q cos(a x) + p
+--R     + 
+--R                                   +---------+
+--R          +-------+                |   2    2
+--R          | 2    2        sin(a x)\|- q  + p
+--R       2p\|q  - p  atan(-----------------------)
+--R                        (q + p)cos(a x) + q + p
+--R  /
+--R                   +---------+ +-------+
+--R         2      2  |   2    2  | 2    2
+--R     (a q  - a p )\|- q  + p  \|q  - p
+--R                                                     Type: Expression Integer
+--E
+
+--S 86     14:391 Schaums and Axiom agree
+cc4:=aa.2-bb2
+--R
+--R   (8)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.392~~~~~$\displaystyle
@@ -552,7 +1334,7 @@ $$
 <<*>>=
 )clear all
 
---S 24 of 30
+--S 87
 aa:=integrate(1/(p^2+a^2*cos(a*x)),x)
 --R 
 --R
@@ -579,6 +1361,63 @@ aa:=integrate(1/(p^2+a^2*cos(a*x)),x)
 --R                a\|p  - a
 --R                                     Type: Union(List Expression Integer,...)
 --E 
+
+--S 88
+bb:=1/(a*p*sqrt(p^2+q^2))*atan((p*tan(a*x))/sqrt(p^2+q^2))
+--R
+--R             p tan(a x)
+--R        atan(----------)
+--R              +-------+
+--R              | 2    2
+--R             \|q  + p
+--R   (2)  ----------------
+--R              +-------+
+--R              | 2    2
+--R          a p\|q  + p
+--R                                                     Type: Expression Integer
+--E
+
+--S 89
+cc1:=aa.1-bb
+--R
+--R   (3)
+--R                                          +---------+
+--R         +-------+        2            2  |   4    4      4    4
+--R         | 2    2     (- p cos(a x) - a )\|- p  + a   + (p  - a )sin(a x)
+--R       p\|q  + p  log(---------------------------------------------------)
+--R                                         2            2
+--R                                        a cos(a x) + p
+--R     + 
+--R          +---------+
+--R          |   4    4      p tan(a x)
+--R       - \|- p  + a  atan(----------)
+--R                           +-------+
+--R                           | 2    2
+--R                          \|q  + p
+--R  /
+--R         +---------+ +-------+
+--R         |   4    4  | 2    2
+--R     a p\|- p  + a  \|q  + p
+--R                                                     Type: Expression Integer
+--E
+
+--S 90     14:392 Axiom cannot simplify these expressions
+cc2:=aa.2-bb
+--R
+--R   (4)
+--R                                  +-------+
+--R      +-------+                   | 4    4          +-------+
+--R      | 2    2           sin(a x)\|p  - a           | 4    4      p tan(a x)
+--R   2p\|q  + p  atan(---------------------------) - \|p  - a  atan(----------)
+--R                      2    2             2    2                    +-------+
+--R                    (p  + a )cos(a x) + p  + a                     | 2    2
+--R                                                                  \|q  + p
+--R   --------------------------------------------------------------------------
+--R                                 +-------+ +-------+
+--R                                 | 4    4  | 2    2
+--R                             a p\|p  - a  \|q  + p
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.393~~~~~$\displaystyle
@@ -598,7 +1437,7 @@ $$
 <<*>>=
 )clear all
 
---S 25 of 30
+--S 91
 aa:=integrate(1/(p^2-q^2*cos(a*x)^2),x)
 --R 
 --R
@@ -633,6 +1472,152 @@ aa:=integrate(1/(p^2-q^2*cos(a*x)^2),x)
 --R     ]
 --R                                     Type: Union(List Expression Integer,...)
 --E 
+
+--S 92
+bb1:=1/(a*p*sqrt(p^2-a^2))*atan((p*tan(a*x))/sqrt(p^2-q^2))
+--R
+--R              p tan(a x)
+--R        atan(------------)
+--R              +---------+
+--R              |   2    2
+--R             \|- q  + p
+--R   (2)  ------------------
+--R               +-------+
+--R               | 2    2
+--R           a p\|p  - a
+--R                                                     Type: Expression Integer
+--E
+
+--S 93
+bb2:=1/(2*a*p*sqrt(q^2-p^2))*log((p*tan(a*x)-sqrt(q^2-p^2))/(p*tan(a*x)+sqrt(q^2-p^2)))
+--R
+--R               +-------+
+--R               | 2    2
+--R            - \|q  - p   + p tan(a x)
+--R        log(-------------------------)
+--R              +-------+
+--R              | 2    2
+--R             \|q  - p   + p tan(a x)
+--R   (3)  ------------------------------
+--R                     +-------+
+--R                     | 2    2
+--R                2a p\|q  - p
+--R                                                     Type: Expression Integer
+--E
+
+--S 94
+cc1:=aa.1-bb1
+--R
+--R   (4)
+--R          +-------+
+--R          | 2    2
+--R         \|p  - a
+--R      *
+--R         log
+--R                                           +-------+
+--R                   2     2         2    2  | 2    2
+--R                ((q  - 2p )cos(a x)  + p )\|q  - p
+--R              + 
+--R                       2     3
+--R                (- 2p q  + 2p )cos(a x)sin(a x)
+--R           /
+--R               2        2    2
+--R              q cos(a x)  - p
+--R     + 
+--R           +-------+
+--R           | 2    2       p tan(a x)
+--R       - 2\|q  - p  atan(------------)
+--R                          +---------+
+--R                          |   2    2
+--R                         \|- q  + p
+--R  /
+--R          +-------+ +-------+
+--R          | 2    2  | 2    2
+--R     2a p\|p  - a  \|q  - p
+--R                                                     Type: Expression Integer
+--E
+
+--S 95
+cc2:=aa.2-bb1
+--R
+--R   (5)
+--R                               +---------+
+--R        +-------+              |   2    2      +---------+
+--R        | 2    2      sin(a x)\|- q  + p       |   2    2       p tan(a x)
+--R       \|p  - a  atan(--------------------) - \|- q  + p  atan(------------)
+--R                        2p cos(a x) + 2p                        +---------+
+--R                                                                |   2    2
+--R                                                               \|- q  + p
+--R     + 
+--R        +-------+             2    2              2
+--R        | 2    2           ((q  + p )cos(a x) + 2p )sin(a x)
+--R       \|p  - a  atan(-------------------------------------------)
+--R                                                      +---------+
+--R                                 2                    |   2    2
+--R                      (p cos(a x)  + 2p cos(a x) + p)\|- q  + p
+--R  /
+--R         +---------+ +-------+
+--R         |   2    2  | 2    2
+--R     a p\|- q  + p  \|p  - a
+--R                                                     Type: Expression Integer
+--E
+
+--S 96
+cc3:=aa.1-bb2
+--R
+--R   (6)
+--R       log
+--R                                     +-------+
+--R             2     2         2    2  | 2    2           2     3
+--R          ((q  - 2p )cos(a x)  + p )\|q  - p   + (- 2p q  + 2p )cos(a x)sin(a x)
+--R          ----------------------------------------------------------------------
+--R                                      2        2    2
+--R                                     q cos(a x)  - p
+--R     + 
+--R                +-------+
+--R                | 2    2
+--R             - \|q  - p   + p tan(a x)
+--R       - log(-------------------------)
+--R               +-------+
+--R               | 2    2
+--R              \|q  - p   + p tan(a x)
+--R  /
+--R          +-------+
+--R          | 2    2
+--R     2a p\|q  - p
+--R                                                     Type: Expression Integer
+--E
+
+--S 97     14:393 Axiom cannot simplify these expressions
+cc4:=aa.2-bb2
+--R
+--R   (7)
+--R                            +-------+
+--R          +---------+       | 2    2
+--R          |   2    2     - \|q  - p   + p tan(a x)
+--R       - \|- q  + p  log(-------------------------)
+--R                           +-------+
+--R                           | 2    2
+--R                          \|q  - p   + p tan(a x)
+--R     + 
+--R                                +---------+
+--R         +-------+              |   2    2
+--R         | 2    2      sin(a x)\|- q  + p
+--R       2\|q  - p  atan(--------------------)
+--R                         2p cos(a x) + 2p
+--R     + 
+--R         +-------+             2    2              2
+--R         | 2    2           ((q  + p )cos(a x) + 2p )sin(a x)
+--R       2\|q  - p  atan(-------------------------------------------)
+--R                                                       +---------+
+--R                                  2                    |   2    2
+--R                       (p cos(a x)  + 2p cos(a x) + p)\|- q  + p
+--R  /
+--R          +---------+ +-------+
+--R          |   2    2  | 2    2
+--R     2a p\|- q  + p  \|q  - p
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.394~~~~~$\displaystyle
@@ -644,7 +1629,7 @@ $$
 <<*>>=
 )clear all
 
---S 26 of 30
+--S 98     14:394 Axiom cannot compute this integral
 aa:=integrate(x^m*cos(a*x),x)
 --R 
 --R
@@ -664,7 +1649,7 @@ $$
 <<*>>=
 )clear all
 
---S 26 of 30
+--S 99     14:395 Axiom cannot compute this integral
 aa:=integrate(cos(a*x)/x^n,x)
 --R 
 --R
@@ -685,7 +1670,7 @@ $$
 <<*>>=
 )clear all
 
---S 28 of 30
+--S 100    14:396 Axiom cannot compute this integral
 aa:=integrate(cos(a*x)^n,x)
 --R 
 --R
@@ -706,7 +1691,7 @@ $$
 <<*>>=
 )clear all
 
---S 29 of 30
+--S 101    14:397 Axiom cannot compute this integral
 aa:=integrate(1/(cos(a*x))^n,x)
 --R 
 --R
@@ -729,7 +1714,7 @@ $$
 <<*>>=
 )clear all
 
---S 30 of 30
+--S 102    14:398 Axiom cannot compute this integral
 aa:=integrate(x/cos(a*x)^n,x)
 --R 
 --R
diff --git a/src/input/schaum19.input.pamphlet b/src/input/schaum19.input.pamphlet
index 37e89ee..bf580f0 100644
--- a/src/input/schaum19.input.pamphlet
+++ b/src/input/schaum19.input.pamphlet
@@ -18,7 +18,7 @@ $$
 )set message auto off
 )clear all
 
---S 1 of 36
+--S 1
 aa:=integrate(sin(a*x)*cos(a*x),x)
 --R 
 --R
@@ -28,6 +28,43 @@ aa:=integrate(sin(a*x)*cos(a*x),x)
 --R              2a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 2
+bb:=sin(a*x)^2/(2*a)
+--R
+--R                2
+--R        sin(a x)
+--R   (2)  ---------
+--R            2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 3
+cc:=aa-bb
+--R
+--R                  2           2
+--R        - sin(a x)  - cos(a x)
+--R   (3)  -----------------------
+--R                   2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 4
+cossqrrule:=rule(cos(a)^2 == 1-sin(a)^2)
+--R
+--R              2            2
+--R   (4)  cos(a)  == - sin(a)  + 1
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 5      14:399 Schaums and Axiom differ by a constant
+dd:=cossqrrule cc
+--R
+--R           1
+--R   (5)  - --
+--R          2a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.400~~~~~$\displaystyle
@@ -38,7 +75,7 @@ $$
 <<*>>=
 )clear all
 
---S 2 of 36
+--S 6
 aa:=integrate(sin(p*x)*cos(q*x),x)
 --R 
 --R
@@ -48,6 +85,29 @@ aa:=integrate(sin(p*x)*cos(q*x),x)
 --R                        q  - p
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 7
+bb:=-(cos(p-q)*x)/(2*(p-q))-(cos(p+q)*x)/(2*(p+q))
+--R
+--R        (- q + p)x cos(q + p) + (q + p)x cos(q - p)
+--R   (2)  -------------------------------------------
+--R                           2     2
+--R                         2q  - 2p
+--R                                                     Type: Expression Integer
+--E
+
+--S 8      14:400 Axiom is unable to simplify this expression
+cc:=aa-bb
+--R
+--R   (3)
+--R       2q sin(p x)sin(q x) + 2p cos(p x)cos(q x) + (q - p)x cos(q + p)
+--R     + 
+--R       (- q - p)x cos(q - p)
+--R  /
+--R       2     2
+--R     2q  - 2p
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.401~~~~~$\displaystyle
@@ -58,7 +118,7 @@ $$
 <<*>>=
 )clear all
 
---S 3 of 36
+--S 9
 aa:=integrate(sin(a*x)^n*cos(a*x),x)
 --R 
 --R
@@ -68,6 +128,51 @@ aa:=integrate(sin(a*x)^n*cos(a*x),x)
 --R                 a n + a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 10
+bb:=sin(a*x)^(n+1)/((n+1)*a)
+--R
+--R                n + 1
+--R        sin(a x)
+--R   (2)  -------------
+--R           a n + a
+--R                                                     Type: Expression Integer
+--E
+
+--S 11
+cc:=aa-bb
+--R
+--R                  n log(sin(a x))           n + 1
+--R        sin(a x)%e                - sin(a x)
+--R   (3)  -----------------------------------------
+--R                         a n + a
+--R                                                     Type: Expression Integer
+--E
+
+--S 12
+explog:=rule(%e^(n*log(x)) == x^n)
+--R
+--R          n log(x)     n
+--R   (4)  %e         == x
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 13
+dd:=explog cc
+--R
+--R                  n + 1                   n
+--R        - sin(a x)      + sin(a x)sin(a x)
+--R   (5)  -----------------------------------
+--R                      a n + a
+--R                                                     Type: Expression Integer
+--E
+
+--S 14     14:401 Schaums and Axiom agree
+ee:=complexNormalize dd
+--R
+--R   (6)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.402~~~~~$\displaystyle
@@ -78,7 +183,7 @@ $$
 <<*>>=
 )clear all
 
---S 4 of 36
+--S 15
 aa:=integrate(cos(a*x)^n*sin(a*x),x)
 --R 
 --R
@@ -87,7 +192,52 @@ aa:=integrate(cos(a*x)^n*sin(a*x),x)
 --R   (1)  - -------------------------
 --R                   a n + a
 --R                                          Type: Union(Expression Integer,...)
+--E
+
+--S 16
+bb:=-cos(a*x)^(n+1)/((n+1)*a)
+--R
+--R                  n + 1
+--R          cos(a x)
+--R   (2)  - -------------
+--R             a n + a
+--R                                                     Type: Expression Integer
 --E 
+
+--S 17
+cc:=aa-bb
+--R
+--R                    n log(cos(a x))           n + 1
+--R        - cos(a x)%e                + cos(a x)
+--R   (3)  -------------------------------------------
+--R                          a n + a
+--R                                                     Type: Expression Integer
+--E
+
+--S 18
+explog:=rule(%e^(n*log(x)) == x^n)
+--R
+--R          n log(x)     n
+--R   (4)  %e         == x
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 19
+dd:=explog cc
+--R
+--R                n + 1                   n
+--R        cos(a x)      - cos(a x)cos(a x)
+--R   (5)  ---------------------------------
+--R                     a n + a
+--R                                                     Type: Expression Integer
+--E
+
+--S 20     14:402 Schaums and Axiom agree
+ee:=complexNormalize dd
+--R
+--R   (6)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.403~~~~~$\displaystyle
@@ -98,7 +248,7 @@ $$
 <<*>>=
 )clear all
 
---S 5 of 36
+--S 21
 aa:=integrate(sin(a*x)^2*cos(a*x)^2,x)
 --R 
 --R
@@ -108,6 +258,32 @@ aa:=integrate(sin(a*x)^2*cos(a*x)^2,x)
 --R                           8a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 22
+bb:=x/8-sin(4*a*x)/(32*a)
+--R
+--R        - sin(4a x) + 4a x
+--R   (2)  ------------------
+--R                32a
+--R                                                     Type: Expression Integer
+--E
+
+--S 23
+cc:=aa-bb
+--R
+--R                                3
+--R        sin(4a x) + (- 8cos(a x)  + 4cos(a x))sin(a x)
+--R   (3)  ----------------------------------------------
+--R                              32a
+--R                                                     Type: Expression Integer
+--E
+
+--S 24     14:403 Schaums and Axiom agree
+dd:=complexNormalize cc
+--R
+--R   (4)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.404~~~~~$\displaystyle
@@ -118,7 +294,7 @@ $$
 <<*>>=
 )clear all
 
---S 6 of 36
+--S 25
 aa:=integrate(1/(sin(a*x)*cos(a*x)),x)
 --R 
 --R
@@ -129,6 +305,55 @@ aa:=integrate(1/(sin(a*x)*cos(a*x)),x)
 --R                           a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 26
+bb:=1/a*log(tan(a*x))
+--R
+--R        log(tan(a x))
+--R   (2)  -------------
+--R              a
+--R                                                     Type: Expression Integer
+--E
+
+--S 27
+cc:=aa-bb
+--R
+--R                                sin(a x)              2cos(a x)
+--R        - log(tan(a x)) + log(------------) - log(- ------------)
+--R                              cos(a x) + 1          cos(a x) + 1
+--R   (3)  ---------------------------------------------------------
+--R                                    a
+--R                                                     Type: Expression Integer
+--E
+
+--S 28
+tanrule:=rule(tan(a) == sin(a)/cos(a))
+--R
+--R                  sin(a)
+--R   (4)  tan(a) == ------
+--R                  cos(a)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 29
+dd:=tanrule cc
+--R
+--R              sin(a x)          sin(a x)              2cos(a x)
+--R        - log(--------) + log(------------) - log(- ------------)
+--R              cos(a x)        cos(a x) + 1          cos(a x) + 1
+--R   (5)  ---------------------------------------------------------
+--R                                    a
+--R                                                     Type: Expression Integer
+--E
+
+--S 30     14:404 Schaums and Axiom differ by a constant
+ee:=expandLog dd
+--R
+--R          log(- 2)
+--R   (6)  - --------
+--R              a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.405~~~~~$\displaystyle
@@ -139,7 +364,7 @@ $$
 <<*>>=
 )clear all
 
---S 7 of 36
+--S 31
 aa:=integrate(1/(sin(a*x)^2*cos(a*x)),x)
 --R 
 --R
@@ -155,6 +380,85 @@ aa:=integrate(1/(sin(a*x)^2*cos(a*x)),x)
 --R     a sin(a x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 32
+bb:=1/a*log(tan(%pi/4+(a*x)/2))-1/(a*sin(a*x))
+--R
+--R                        2a x + %pi
+--R        sin(a x)log(tan(----------)) - 1
+--R                             4
+--R   (2)  --------------------------------
+--R                   a sin(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 33
+cc:=aa-bb
+--R
+--R   (3)
+--R                 2a x + %pi         sin(a x) + cos(a x) + 1
+--R       - log(tan(----------)) + log(-----------------------)
+--R                      4                   cos(a x) + 1
+--R     + 
+--R             sin(a x) - cos(a x) - 1
+--R       - log(-----------------------)
+--R                   cos(a x) + 1
+--R  /
+--R     a
+--R                                                     Type: Expression Integer
+--E
+
+--S 34
+tanrule:=rule(tan(a) == sin(a)/cos(a))
+--R
+--R                  sin(a)
+--R   (4)  tan(a) == ------
+--R                  cos(a)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 35
+dd:=tanrule cc
+--R
+--R   (5)
+--R           sin(a x) + cos(a x) + 1        sin(a x) - cos(a x) - 1
+--R       log(-----------------------) - log(-----------------------)
+--R                 cos(a x) + 1                   cos(a x) + 1
+--R     + 
+--R                 2a x + %pi
+--R             sin(----------)
+--R                      4
+--R       - log(---------------)
+--R                 2a x + %pi
+--R             cos(----------)
+--R                      4
+--R  /
+--R     a
+--R                                                     Type: Expression Integer
+--E
+
+--S 36
+ee:=expandLog dd
+--R
+--R   (6)
+--R       log(sin(a x) + cos(a x) + 1) - log(sin(a x) - cos(a x) - 1)
+--R     + 
+--R                 2a x + %pi             2a x + %pi
+--R       - log(sin(----------)) + log(cos(----------))
+--R                      4                      4
+--R  /
+--R     a
+--R                                                     Type: Expression Integer
+--E
+
+--S 37     14:405 Schaums and Axiom differ by a constant
+ff:=complexNormalize %
+--R
+--R        log(- 1)
+--R   (7)  --------
+--R            a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.406~~~~~$\displaystyle
@@ -165,7 +469,7 @@ $$
 <<*>>=
 )clear all
 
---S 8 of 36
+--S 38
 aa:=integrate(1/(sin(a*x)*cos(a*x)^2),x)
 --R 
 --R
@@ -176,6 +480,72 @@ aa:=integrate(1/(sin(a*x)*cos(a*x)^2),x)
 --R                       a cos(a x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 39
+bb:=1/a*log(tan((a*x)/2))+1/(a*cos(a*x))
+--R
+--R                        a x
+--R        cos(a x)log(tan(---)) + 1
+--R                         2
+--R   (2)  -------------------------
+--R                a cos(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 40
+cc:=aa-bb
+--R
+--R                  a x           sin(a x)
+--R        - log(tan(---)) + log(------------) + 1
+--R                   2          cos(a x) + 1
+--R   (3)  ---------------------------------------
+--R                           a
+--R                                                     Type: Expression Integer
+--E
+
+--S 41
+tanrule:=rule(tan(a) == sin(a)/cos(a))
+--R
+--R                  sin(a)
+--R   (4)  tan(a) == ------
+--R                  cos(a)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 42
+dd:=tanrule cc
+--R
+--R                                    a x
+--R                                sin(---)
+--R              sin(a x)               2
+--R        log(------------) - log(--------) + 1
+--R            cos(a x) + 1            a x
+--R                                cos(---)
+--R                                     2
+--R   (5)  -------------------------------------
+--R                          a
+--R                                                     Type: Expression Integer
+--E
+
+--S 43
+ee:=expandLog dd
+--R
+--R                                a x                                 a x
+--R        log(sin(a x)) - log(sin(---)) - log(cos(a x) + 1) + log(cos(---)) + 1
+--R                                 2                                   2
+--R   (6)  ---------------------------------------------------------------------
+--R                                          a
+--R                                                     Type: Expression Integer
+--E
+
+--S 44     14:406 Schaums and Axiom differ by a constant
+ff:=complexNormalize ee
+--R
+--R        1
+--R   (7)  -
+--R        a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.407~~~~~$\displaystyle
@@ -186,7 +556,7 @@ $$
 <<*>>=
 )clear all
 
---S 9 of 36
+--S 45
 aa:=integrate(1/(sin(a*x)^2*cos(a*x)^2),x)
 --R 
 --R
@@ -196,6 +566,51 @@ aa:=integrate(1/(sin(a*x)^2*cos(a*x)^2),x)
 --R        a cos(a x)sin(a x)
 --R                                          Type: Union(Expression Integer,...)
 --E
+
+--S 46
+bb:=-(2*cot(2*a*x))/a
+--R
+--R          2cot(2a x)
+--R   (2)  - ----------
+--R               a
+--R                                                     Type: Expression Integer
+--E
+
+--S 47
+cc:=aa-bb
+--R
+--R                                              2
+--R        2cos(a x)cot(2a x)sin(a x) - 2cos(a x)  + 1
+--R   (3)  -------------------------------------------
+--R                     a cos(a x)sin(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 48
+cotrule:=rule(cot(a) == cos(a)/sin(a))
+--R
+--R                  cos(a)
+--R   (4)  cot(a) == ------
+--R                  sin(a)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 49
+dd:=cotrule cc
+--R
+--R                    2
+--R        (- 2cos(a x)  + 1)sin(2a x) + 2cos(a x)cos(2a x)sin(a x)
+--R   (5)  --------------------------------------------------------
+--R                       a cos(a x)sin(a x)sin(2a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 50     14:407 Schaums and Axiom agree
+ee:=complexNormalize dd
+--R
+--R   (6)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.408~~~~~$\displaystyle
@@ -206,7 +621,7 @@ $$
 <<*>>=
 )clear all
 
---S 10 of 36
+--S 51
 aa:=integrate(sin(a*x)^2/cos(a*x),x)
 --R 
 --R
@@ -217,6 +632,85 @@ aa:=integrate(sin(a*x)^2/cos(a*x),x)
 --R                                           a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 52
+bb:=-sin(a*x)/a+1/a*log(tan((a*x)/2+%pi/4))
+--R
+--R                2a x + %pi
+--R        log(tan(----------)) - sin(a x)
+--R                     4
+--R   (2)  -------------------------------
+--R                       a
+--R                                                     Type: Expression Integer
+--E
+
+--S 53
+cc:=aa-bb
+--R
+--R   (3)
+--R                 2a x + %pi         sin(a x) + cos(a x) + 1
+--R       - log(tan(----------)) + log(-----------------------)
+--R                      4                   cos(a x) + 1
+--R     + 
+--R             sin(a x) - cos(a x) - 1
+--R       - log(-----------------------)
+--R                   cos(a x) + 1
+--R  /
+--R     a
+--R                                                     Type: Expression Integer
+--E
+
+--S 54
+tanrule:=rule(tan(a) == sin(a)/cos(a))
+--R
+--R                  sin(a)
+--R   (4)  tan(a) == ------
+--R                  cos(a)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 55
+dd:=tanrule cc
+--R
+--R   (5)
+--R           sin(a x) + cos(a x) + 1        sin(a x) - cos(a x) - 1
+--R       log(-----------------------) - log(-----------------------)
+--R                 cos(a x) + 1                   cos(a x) + 1
+--R     + 
+--R                 2a x + %pi
+--R             sin(----------)
+--R                      4
+--R       - log(---------------)
+--R                 2a x + %pi
+--R             cos(----------)
+--R                      4
+--R  /
+--R     a
+--R                                                     Type: Expression Integer
+--E
+
+--S 56
+ee:=expandLog dd
+--R
+--R   (6)
+--R       log(sin(a x) + cos(a x) + 1) - log(sin(a x) - cos(a x) - 1)
+--R     + 
+--R                 2a x + %pi             2a x + %pi
+--R       - log(sin(----------)) + log(cos(----------))
+--R                      4                      4
+--R  /
+--R     a
+--R                                                     Type: Expression Integer
+--E
+
+--S 57     14:408 Schaums and Axiom differ by a constant
+ff:=complexNormalize ee
+--R
+--R        log(- 1)
+--R   (7)  --------
+--R            a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.409~~~~~$\displaystyle
@@ -227,7 +721,7 @@ $$
 <<*>>=
 )clear all
 
---S 11 of 36
+--S 58
 aa:=integrate(cos(a*x)^2/sin(a*x),x)
 --R 
 --R
@@ -238,6 +732,70 @@ aa:=integrate(cos(a*x)^2/sin(a*x),x)
 --R                      a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 59
+bb:=cos(a*x)/a+1/a*log(tan((a*x)/2))
+--R
+--R                a x
+--R        log(tan(---)) + cos(a x)
+--R                 2
+--R   (2)  ------------------------
+--R                    a
+--R                                                     Type: Expression Integer
+--E
+
+--S 60
+cc:=aa-bb
+--R
+--R                  a x           sin(a x)
+--R        - log(tan(---)) + log(------------)
+--R                   2          cos(a x) + 1
+--R   (3)  -----------------------------------
+--R                         a
+--R                                                     Type: Expression Integer
+--E
+
+--S 61
+tanrule:=rule(tan(a) == sin(a)/cos(a))
+--R
+--R                  sin(a)
+--R   (4)  tan(a) == ------
+--R                  cos(a)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 62
+dd:=tanrule cc
+--R
+--R                                    a x
+--R                                sin(---)
+--R              sin(a x)               2
+--R        log(------------) - log(--------)
+--R            cos(a x) + 1            a x
+--R                                cos(---)
+--R                                     2
+--R   (5)  ---------------------------------
+--R                        a
+--R                                                     Type: Expression Integer
+--E
+
+--S 63
+ee:=expandLog dd
+--R
+--R                                a x                                 a x
+--R        log(sin(a x)) - log(sin(---)) - log(cos(a x) + 1) + log(cos(---))
+--R                                 2                                   2
+--R   (6)  -----------------------------------------------------------------
+--R                                        a
+--R                                                     Type: Expression Integer
+--E
+
+--S 64     14:409 Schaums and Axiom agree
+ff:=complexNormalize ee
+--R
+--R   (7)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.410~~~~~$\displaystyle
@@ -249,7 +807,7 @@ $$
 <<*>>=
 )clear all
 
---S 12 of 36
+--S 65
 aa:=integrate(1/(cos(a*x)*(1+sin(a*x))),x)
 --R 
 --R
@@ -266,9 +824,88 @@ aa:=integrate(1/(cos(a*x)*(1+sin(a*x))),x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
+--S 66
+bb:=-1/(2*a*(1+sin(a*x)))+1/(2*a)*log(tan((a*x)/2+%pi/4))
+--R
+--R                              2a x + %pi
+--R        (sin(a x) + 1)log(tan(----------)) - 1
+--R                                   4
+--R   (2)  --------------------------------------
+--R                   2a sin(a x) + 2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 67
+cc:=aa-bb
+--R
+--R   (3)
+--R                 2a x + %pi         sin(a x) + cos(a x) + 1
+--R       - log(tan(----------)) + log(-----------------------)
+--R                      4                   cos(a x) + 1
+--R     + 
+--R             sin(a x) - cos(a x) - 1
+--R       - log(-----------------------) + 1
+--R                   cos(a x) + 1
+--R  /
+--R     2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 68
+tanrule:=rule(tan(a) == sin(a)/cos(a))
+--R
+--R                  sin(a)
+--R   (4)  tan(a) == ------
+--R                  cos(a)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 69
+dd:=tanrule cc
+--R
+--R   (5)
+--R           sin(a x) + cos(a x) + 1        sin(a x) - cos(a x) - 1
+--R       log(-----------------------) - log(-----------------------)
+--R                 cos(a x) + 1                   cos(a x) + 1
+--R     + 
+--R                 2a x + %pi
+--R             sin(----------)
+--R                      4
+--R       - log(---------------) + 1
+--R                 2a x + %pi
+--R             cos(----------)
+--R                      4
+--R  /
+--R     2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 70
+ee:=expandLog dd
+--R
+--R   (6)
+--R       log(sin(a x) + cos(a x) + 1) - log(sin(a x) - cos(a x) - 1)
+--R     + 
+--R                 2a x + %pi             2a x + %pi
+--R       - log(sin(----------)) + log(cos(----------)) + 1
+--R                      4                      4
+--R  /
+--R     2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 71
+ff:=complexNormalize ee
+--R
+--R        log(- 1) + 1
+--R   (7)  ------------
+--R             2a
+--R                                                     Type: Expression Integer
+--E
+
 )clear all 
 
---S 13 of 36
+--S 72
 aa:=integrate(1/(cos(a*x)*(1-sin(a*x))),x)
 --R 
 --R
@@ -284,6 +921,86 @@ aa:=integrate(1/(cos(a*x)*(1-sin(a*x))),x)
 --R     2a sin(a x) - 2a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 73
+bb:=1/(2*a*(1-sin(a*x)))+1/(2*a)*log(tan((a*x)/2+%pi/4))
+--R
+--R                              2a x + %pi
+--R        (sin(a x) - 1)log(tan(----------)) - 1
+--R                                   4
+--R   (2)  --------------------------------------
+--R                   2a sin(a x) - 2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 74
+cc:=aa-bb
+--R
+--R   (3)
+--R                 2a x + %pi         sin(a x) + cos(a x) + 1
+--R       - log(tan(----------)) + log(-----------------------)
+--R                      4                   cos(a x) + 1
+--R     + 
+--R             sin(a x) - cos(a x) - 1
+--R       - log(-----------------------) - 1
+--R                   cos(a x) + 1
+--R  /
+--R     2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 75
+tanrule:=rule(tan(a) == sin(a)/cos(a))
+--R
+--R                  sin(a)
+--R   (4)  tan(a) == ------
+--R                  cos(a)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 76
+dd:=tanrule cc
+--R
+--R   (5)
+--R           sin(a x) + cos(a x) + 1        sin(a x) - cos(a x) - 1
+--R       log(-----------------------) - log(-----------------------)
+--R                 cos(a x) + 1                   cos(a x) + 1
+--R     + 
+--R                 2a x + %pi
+--R             sin(----------)
+--R                      4
+--R       - log(---------------) - 1
+--R                 2a x + %pi
+--R             cos(----------)
+--R                      4
+--R  /
+--R     2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 77
+ee:=expandLog dd
+--R
+--R   (6)
+--R       log(sin(a x) + cos(a x) + 1) - log(sin(a x) - cos(a x) - 1)
+--R     + 
+--R                 2a x + %pi             2a x + %pi
+--R       - log(sin(----------)) + log(cos(----------)) - 1
+--R                      4                      4
+--R  /
+--R     2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 78     14:410 Schaums and Axiom differ by a constant
+ff:=complexNormalize ee
+--R
+--R        log(- 1) - 1
+--R   (7)  ------------
+--R             2a
+--R                                                     Type: Expression Integer
+--E
+
 @
 
 \section{\cite{1}:14.411~~~~~$\displaystyle
@@ -294,7 +1011,7 @@ $$
 <<*>>=
 )clear all
 
---S 14 of 36
+--S 79
 aa:=integrate(1/(sin(a*x)*(1+cos(a*x))),x)
 --R 
 --R
@@ -306,9 +1023,76 @@ aa:=integrate(1/(sin(a*x)*(1+cos(a*x))),x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
+--S 80
+bb:=1/(2*a*(1+cos(a*x)))+1/(2*a)*log(tan((a*x)/2))
+--R
+--R                              a x
+--R        (cos(a x) + 1)log(tan(---)) + 1
+--R                               2
+--R   (2)  -------------------------------
+--R                2a cos(a x) + 2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 81
+cc:=aa-bb
+--R
+--R                   a x            sin(a x)
+--R        - 2log(tan(---)) + 2log(------------) - 1
+--R                    2           cos(a x) + 1
+--R   (3)  -----------------------------------------
+--R                            4a
+--R                                                     Type: Expression Integer
+--E
+
+--S 82
+tanrule:=rule(tan(a) == sin(a)/cos(a))
+--R
+--R                  sin(a)
+--R   (4)  tan(a) == ------
+--R                  cos(a)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 83
+dd:=tanrule cc
+--R
+--R                                      a x
+--R                                  sin(---)
+--R               sin(a x)                2
+--R        2log(------------) - 2log(--------) - 1
+--R             cos(a x) + 1             a x
+--R                                  cos(---)
+--R                                       2
+--R   (5)  ---------------------------------------
+--R                           4a
+--R                                                     Type: Expression Integer
+--E
+
+--S 84
+ee:=expandLog dd
+--R
+--R   (6)
+--R                             a x                                   a x
+--R   2log(sin(a x)) - 2log(sin(---)) - 2log(cos(a x) + 1) + 2log(cos(---)) - 1
+--R                              2                                     2
+--R   -------------------------------------------------------------------------
+--R                                       4a
+--R                                                     Type: Expression Integer
+--E
+
+--S 85
+ff:=complexNormalize ee
+--R
+--R           1
+--R   (7)  - --
+--R          4a
+--R                                                     Type: Expression Integer
+--E
+
 )clear all
 
---S 15 of 36
+--S 86
 aa:=integrate(1/(sin(a*x)*(1-cos(a*x))),x)
 --R 
 --R
@@ -319,6 +1103,73 @@ aa:=integrate(1/(sin(a*x)*(1-cos(a*x))),x)
 --R                        4a cos(a x) - 4a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 87
+bb:=-1/(2*a*(1-cos(a*x)))+1/(2*a)*log(tan((a*x)/2))
+--R
+--R                              a x
+--R        (cos(a x) - 1)log(tan(---)) + 1
+--R                               2
+--R   (2)  -------------------------------
+--R                2a cos(a x) - 2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 88
+cc:=aa-bb
+--R
+--R                   a x            sin(a x)
+--R        - 2log(tan(---)) + 2log(------------) + 1
+--R                    2           cos(a x) + 1
+--R   (3)  -----------------------------------------
+--R                            4a
+--R                                                     Type: Expression Integer
+--E
+
+--S 89
+tanrule:=rule(tan(a) == sin(a)/cos(a))
+--R
+--R                  sin(a)
+--R   (4)  tan(a) == ------
+--R                  cos(a)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 90
+dd:=tanrule cc
+--R
+--R                                      a x
+--R                                  sin(---)
+--R               sin(a x)                2
+--R        2log(------------) - 2log(--------) + 1
+--R             cos(a x) + 1             a x
+--R                                  cos(---)
+--R                                       2
+--R   (5)  ---------------------------------------
+--R                           4a
+--R                                                     Type: Expression Integer
+--E
+
+--S 91
+ee:=expandLog dd
+--R
+--R   (6)
+--R                             a x                                   a x
+--R   2log(sin(a x)) - 2log(sin(---)) - 2log(cos(a x) + 1) + 2log(cos(---)) + 1
+--R                              2                                     2
+--R   -------------------------------------------------------------------------
+--R                                       4a
+--R                                                     Type: Expression Integer
+--E
+
+--S 92     14:411 Schaums and Axiom differ by a constant
+ff:=complexNormalize ee
+--R
+--R         1
+--R   (7)  --
+--R        4a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.412~~~~~$\displaystyle
@@ -329,7 +1180,7 @@ $$
 <<*>>=
 )clear all
 
---S 16 of 36
+--S 93
 aa:=integrate(1/(sin(a*x)+cos(a*x)),x)
 --R 
 --R
@@ -342,9 +1193,37 @@ aa:=integrate(1/(sin(a*x)+cos(a*x)),x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
+--S 94
+bb:=1/(a*sqrt(2))*log(tan((a*x)/2+%pi/8))
+--R
+--R         +-+        4a x + %pi
+--R        \|2 log(tan(----------))
+--R                         8
+--R   (2)  ------------------------
+--R                   2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 95
+cc:=aa-bb
+--R
+--R   (3)
+--R          +-+        4a x + %pi
+--R       - \|2 log(tan(----------))
+--R                          8
+--R     + 
+--R                   +-+                  +-+                 +-+
+--R        +-+    (- \|2  + 1)sin(a x) + (\|2  - 1)cos(a x) + \|2  - 2
+--R       \|2 log(----------------------------------------------------)
+--R                                sin(a x) + cos(a x)
+--R  /
+--R     2a
+--R                                                     Type: Expression Integer
+--E
+
 )clear all
 
---S 17 of 36
+--S 96
 aa:=integrate(1/(sin(a*x)-cos(a*x)),x)
 --R 
 --R
@@ -356,6 +1235,35 @@ aa:=integrate(1/(sin(a*x)-cos(a*x)),x)
 --R                                       2a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 97
+bb:=1/(a*sqrt(2))*log(tan((a*x)/2-%pi/8))
+--R
+--R         +-+        4a x - %pi
+--R        \|2 log(tan(----------))
+--R                         8
+--R   (2)  ------------------------
+--R                   2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 98     14:412 Axiom cannot simplify this expression
+cc:=aa-bb
+--R
+--R   (3)
+--R          +-+        4a x - %pi
+--R       - \|2 log(tan(----------))
+--R                          8
+--R     + 
+--R                   +-+                    +-+                 +-+
+--R        +-+    (- \|2  + 1)sin(a x) + (- \|2  + 1)cos(a x) - \|2  + 2
+--R       \|2 log(------------------------------------------------------)
+--R                                 sin(a x) - cos(a x)
+--R  /
+--R     2a
+--R                                                     Type: Expression Integer
+--E
+
 @
 
 \section{\cite{1}:14.413~~~~~$\displaystyle
@@ -366,7 +1274,7 @@ $$
 <<*>>=
 )clear all
 
---S 18 of 36
+--S 99
 aa:=integrate(sin(a*x)/(sin(a*x)+cos(a*x)),x)
 --R 
 --R
@@ -378,9 +1286,48 @@ aa:=integrate(sin(a*x)/(sin(a*x)+cos(a*x)),x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
+--S 100
+bb:=x/2-1/(2*a)*log(sin(a*x)+cos(a*x))
+--R
+--R        - log(sin(a x) + cos(a x)) + a x
+--R   (2)  --------------------------------
+--R                       2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 101
+cc:=aa-bb
+--R
+--R   (3)
+--R                                        2             - 2sin(a x) - 2cos(a x)
+--R   log(sin(a x) + cos(a x)) + log(------------) - log(-----------------------)
+--R                                  cos(a x) + 1              cos(a x) + 1
+--R   ---------------------------------------------------------------------------
+--R                                        2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 102
+dd:=expandLog cc
+--R
+--R        log(sin(a x) + cos(a x)) - log(- sin(a x) - cos(a x))
+--R   (4)  -----------------------------------------------------
+--R                                  2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 103
+ee:=complexNormalize dd
+--R
+--R        log(- 1)
+--R   (5)  --------
+--R           2a
+--R                                                     Type: Expression Integer
+--E
+
 )clear all 
 
---S 19 of 36
+--S 104
 aa:=integrate(sin(a*x)/(sin(a*x)-cos(a*x)),x)
 --R 
 --R
@@ -391,6 +1338,34 @@ aa:=integrate(sin(a*x)/(sin(a*x)-cos(a*x)),x)
 --R                                 2a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 105
+bb:=x/2+1/(2*a)*log(sin(a*x)-cos(a*x))
+--R
+--R        log(sin(a x) - cos(a x)) + a x
+--R   (2)  ------------------------------
+--R                      2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 106
+cc:=aa-bb
+--R
+--R   (3)
+--R                                    2sin(a x) - 2cos(a x)              2
+--R   - log(sin(a x) - cos(a x)) + log(---------------------) - log(------------)
+--R                                         cos(a x) + 1            cos(a x) + 1
+--R   ---------------------------------------------------------------------------
+--R                                        2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 107    14:413 Schaums and Axiom agree
+dd:=expandLog cc
+--R
+--R   (4)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.414~~~~~$\displaystyle
@@ -401,7 +1376,7 @@ $$
 <<*>>=
 )clear all
 
---S 20 of 36
+--S 108
 aa:=integrate(cos(a*x)/(sin(a*x)+cos(a*x)),x)
 --R 
 --R
@@ -413,9 +1388,48 @@ aa:=integrate(cos(a*x)/(sin(a*x)+cos(a*x)),x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
+--S 109
+bb:=x/2+1/(2*a)*log(sin(a*x)+cos(a*x))
+--R
+--R        log(sin(a x) + cos(a x)) + a x
+--R   (2)  ------------------------------
+--R                      2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 110
+cc:=aa-bb
+--R
+--R   (3)
+--R                                          2             - 2sin(a x) - 2cos(a x)
+--R   - log(sin(a x) + cos(a x)) - log(------------) + log(-----------------------)
+--R                                    cos(a x) + 1              cos(a x) + 1
+--R   -----------------------------------------------------------------------------
+--R                                         2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 111
+dd:=expandLog cc
+--R
+--R        - log(sin(a x) + cos(a x)) + log(- sin(a x) - cos(a x))
+--R   (4)  -------------------------------------------------------
+--R                                   2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 112
+ee:=complexNormalize dd
+--R
+--R          log(- 1)
+--R   (5)  - --------
+--R             2a
+--R                                                     Type: Expression Integer
+--E
+
 )clear all
 
---S 21 of 36
+--S 113
 aa:=integrate(cos(a*x)/(sin(a*x)-cos(a*x)),x)
 --R 
 --R
@@ -426,6 +1440,34 @@ aa:=integrate(cos(a*x)/(sin(a*x)-cos(a*x)),x)
 --R                                 2a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 114
+bb:=-x/2+1/(2*a)*log(sin(a*x)-cos(a*x))
+--R
+--R        log(sin(a x) - cos(a x)) - a x
+--R   (2)  ------------------------------
+--R                      2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 115
+cc:=aa-bb
+--R
+--R   (3)
+--R                                    2sin(a x) - 2cos(a x)              2
+--R   - log(sin(a x) - cos(a x)) + log(---------------------) - log(------------)
+--R                                         cos(a x) + 1            cos(a x) + 1
+--R   ---------------------------------------------------------------------------
+--R                                        2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 116    14:414 Schaums and Axiom agree
+dd:=expandLog cc
+--R
+--R   (4)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.415~~~~~$\displaystyle
@@ -436,7 +1478,7 @@ $$
 <<*>>=
 )clear all
 
---S 22 of 36
+--S 117
 aa:=integrate(sin(a*x)/(p+q*cos(a*x)),x)
 --R 
 --R
@@ -447,6 +1489,44 @@ aa:=integrate(sin(a*x)/(p+q*cos(a*x)),x)
 --R                            a q
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 118
+bb:=-1/(a*q)*log(p+q*cos(a*x))
+--R
+--R          log(q cos(a x) + p)
+--R   (2)  - -------------------
+--R                  a q
+--R                                                     Type: Expression Integer
+--E
+
+--S 119
+cc:=aa-bb
+--R
+--R                                        2             - 2q cos(a x) - 2p
+--R        log(q cos(a x) + p) + log(------------) - log(------------------)
+--R                                  cos(a x) + 1           cos(a x) + 1
+--R   (3)  -----------------------------------------------------------------
+--R                                       a q
+--R                                                     Type: Expression Integer
+--E
+
+--S 120
+dd:=expandLog cc
+--R
+--R        log(q cos(a x) + p) - log(- q cos(a x) - p)
+--R   (4)  -------------------------------------------
+--R                            a q
+--R                                                     Type: Expression Integer
+--E
+
+--S 121    14:415 Schaums and Axiom differ by a constant
+ee:=complexNormalize dd
+--R
+--R        log(- 1)
+--R   (5)  --------
+--R           a q
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.416~~~~~$\displaystyle
@@ -457,7 +1537,7 @@ $$
 <<*>>=
 )clear all
 
---S 23 of 36
+--S 122
 aa:=integrate(cos(a*x)/(p+q*sin(a*x)),x)
 --R 
 --R
@@ -468,6 +1548,33 @@ aa:=integrate(cos(a*x)/(p+q*sin(a*x)),x)
 --R                           a q
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 123
+bb:=1/(a*q)*log(p+q*sin(a*x))
+--R
+--R        log(q sin(a x) + p)
+--R   (2)  -------------------
+--R                a q
+--R                                                     Type: Expression Integer
+--E
+
+--S 124
+cc:=aa-bb
+--R
+--R                                    2q sin(a x) + 2p              2
+--R        - log(q sin(a x) + p) + log(----------------) - log(------------)
+--R                                      cos(a x) + 1          cos(a x) + 1
+--R   (3)  -----------------------------------------------------------------
+--R                                       a q
+--R                                                     Type: Expression Integer
+--E
+
+--S 125    14:416 Schaums and Axiom differ by a constant
+dd:=expandLog cc
+--R
+--R   (4)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.417~~~~~$\displaystyle
@@ -478,7 +1585,7 @@ $$
 <<*>>=
 )clear all
 
---S 24 of 36
+--S 126
 aa:=integrate(sin(a*x)/(p+q*cos(a*x))^n,x)
 --R 
 --R
@@ -488,6 +1595,53 @@ aa:=integrate(sin(a*x)/(p+q*cos(a*x))^n,x)
 --R        (a n - a)q %e
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 127
+bb:=1/(a*q*(n-1)*(p+q*cos(a*x))^(n-1))
+--R
+--R                        1
+--R   (2)  --------------------------------
+--R                                   n - 1
+--R        (a n - a)q (q cos(a x) + p)
+--R                                                     Type: Expression Integer
+--E
+
+--S 128
+cc:=aa-bb
+--R
+--R            n log(q cos(a x) + p)                                   n - 1
+--R        - %e                      + (q cos(a x) + p)(q cos(a x) + p)
+--R   (3)  -----------------------------------------------------------------
+--R                                        n - 1  n log(q cos(a x) + p)
+--R             (a n - a)q (q cos(a x) + p)     %e
+--R                                                     Type: Expression Integer
+--E
+
+--S 129
+explog:=rule(%e^(n*log(x)) == x^n)
+--R
+--R          n log(x)     n
+--R   (4)  %e         == x
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 130
+dd:=explog cc
+--R
+--R                          n                                   n - 1
+--R        - (q cos(a x) + p)  + (q cos(a x) + p)(q cos(a x) + p)
+--R   (5)  -----------------------------------------------------------
+--R                                        n - 1                n
+--R             (a n - a)q (q cos(a x) + p)     (q cos(a x) + p)
+--R                                                     Type: Expression Integer
+--E
+
+--S 131    14:417 Schaums and Axiom agree
+ee:=complexNormalize dd
+--R
+--R   (6)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.418~~~~~$\displaystyle
@@ -498,7 +1652,7 @@ $$
 <<*>>=
 )clear all
 
---S 25 of 36
+--S 132
 aa:=integrate(cos(a*x)/(p+q*sin(a*x))^n,x)
 --R 
 --R
@@ -508,6 +1662,53 @@ aa:=integrate(cos(a*x)/(p+q*sin(a*x))^n,x)
 --R        (a n - a)q %e
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 133
+bb:=-1/(a*q*(n-1)*(p+q*sin(a*x))^(n-1))
+--R
+--R                          1
+--R   (2)  - --------------------------------
+--R                                     n - 1
+--R          (a n - a)q (q sin(a x) + p)
+--R                                                     Type: Expression Integer
+--E
+
+--S 134
+cc:=aa-bb
+--R
+--R          n log(q sin(a x) + p)                                     n - 1
+--R        %e                      + (- q sin(a x) - p)(q sin(a x) + p)
+--R   (3)  -----------------------------------------------------------------
+--R                                        n - 1  n log(q sin(a x) + p)
+--R             (a n - a)q (q sin(a x) + p)     %e
+--R                                                     Type: Expression Integer
+--E
+
+--S 135
+explog:=rule(%e^(n*log(x)) == x^n)
+--R
+--R          n log(x)     n
+--R   (4)  %e         == x
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 136
+dd:=explog cc
+--R
+--R                        n                                     n - 1
+--R        (q sin(a x) + p)  + (- q sin(a x) - p)(q sin(a x) + p)
+--R   (5)  -----------------------------------------------------------
+--R                                        n - 1                n
+--R             (a n - a)q (q sin(a x) + p)     (q sin(a x) + p)
+--R                                                     Type: Expression Integer
+--E
+
+--S 137    14:418 Schaums and Axiom agree
+ee:=complexNormalize dd
+--R
+--R   (6)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.419~~~~~$\displaystyle
@@ -518,7 +1719,7 @@ $$
 <<*>>=
 )clear all
 
---S 26 of 36
+--S 138
 aa:=integrate(1/(p*sin(a*x)+q*cos(a*x)),x)
 --R 
 --R
@@ -538,6 +1739,47 @@ aa:=integrate(1/(p*sin(a*x)+q*cos(a*x)),x)
 --R     a\|q  + p
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 139
+bb:=1/(a*sqrt(p^2+q^2))*log(tan((a*x+atan(q/p))/2))
+--R
+--R                     q
+--R                atan(-) + a x
+--R                     p
+--R        log(tan(-------------))
+--R                      2
+--R   (2)  -----------------------
+--R                +-------+
+--R                | 2    2
+--R              a\|q  + p
+--R                                                     Type: Expression Integer
+--E
+
+--S 140    14:419 Axiom cannot simplify this expression
+cc:=aa-bb
+--R
+--R   (3)
+--R                      q
+--R                 atan(-) + a x
+--R                      p
+--R       - log(tan(-------------))
+--R                       2
+--R     + 
+--R       log
+--R                                                    +-------+
+--R                               2            2    2  | 2    2
+--R              (p q sin(a x) - p cos(a x) - q  - p )\|q  + p
+--R            + 
+--R                  3    2                 2    3               2    3
+--R              (- q  - p q)sin(a x) + (p q  + p )cos(a x) + p q  + p
+--R         /
+--R            p sin(a x) + q cos(a x)
+--R  /
+--R       +-------+
+--R       | 2    2
+--R     a\|q  + p
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.420~~~~~$\displaystyle
@@ -559,7 +1801,7 @@ $$
 <<*>>=
 )clear all
 
---S 27 of 36
+--S 141
 aa:=integrate(1/(p*sin(a*x)+q*cos(a*x)+r),x)
 --R 
 --R
@@ -600,6 +1842,174 @@ aa:=integrate(1/(p*sin(a*x)+q*cos(a*x)+r),x)
 --R                        a\|r  - q  - p
 --R                                     Type: Union(List Expression Integer,...)
 --E 
+
+--S 142
+bb1:=2/(a*sqrt(r^2-p^2-q^2))*atan((p+(r-q)*tan((a*x)/2))/sqrt(r^2-p^2-q^2))
+--R
+--R                         a x
+--R              (r - q)tan(---) + p
+--R                          2
+--R        2atan(-------------------)
+--R                 +------------+
+--R                 | 2    2    2
+--R                \|r  - q  - p
+--R   (2)  --------------------------
+--R               +------------+
+--R               | 2    2    2
+--R             a\|r  - q  - p
+--R                                                     Type: Expression Integer
+--E
+
+--S 143
+bb2:=1/(a*sqrt(p^2+q^2-r^2))*log((p-sqrt(p^2+q^2-r^2)+(r-q)*tan((a*x)/2))/(p+sqrt(p^2+q^2-r^2)+(r-q)*tan((a*x)/2)))
+--R
+--R               +--------------+
+--R               |   2    2    2               a x
+--R            - \|- r  + q  + p   + (r - q)tan(---) + p
+--R                                              2
+--R        log(-----------------------------------------)
+--R              +--------------+
+--R              |   2    2    2               a x
+--R             \|- r  + q  + p   + (r - q)tan(---) + p
+--R                                             2
+--R   (3)  ----------------------------------------------
+--R                        +--------------+
+--R                        |   2    2    2
+--R                      a\|- r  + q  + p
+--R                                                     Type: Expression Integer
+--E
+
+--S 144
+cc1:=aa.1-bb1
+--R
+--R   (4)
+--R          +------------+
+--R          | 2    2    2
+--R         \|r  - q  - p
+--R      *
+--R         log
+--R                                              2          2                   2
+--R                    (p r - p q)sin(a x) + (- r  + q r + p )cos(a x) - q r + q
+--R                  + 
+--R                     2
+--R                    p
+--R               *
+--R                   +--------------+
+--R                   |   2    2    2
+--R                  \|- r  + q  + p
+--R              + 
+--R                  3      2       2    2      3    2
+--R                (r  - q r  + (- q  - p )r + q  + p q)sin(a x)
+--R              + 
+--R                    2      2    3               2      2    3
+--R                (p r  - p q  - p )cos(a x) + p r  - p q  - p
+--R           /
+--R              p sin(a x) + q cos(a x) + r
+--R     + 
+--R                                           a x
+--R           +--------------+     (r - q)tan(---) + p
+--R           |   2    2    2                  2
+--R       - 2\|- r  + q  + p  atan(-------------------)
+--R                                   +------------+
+--R                                   | 2    2    2
+--R                                  \|r  - q  - p
+--R  /
+--R       +--------------+ +------------+
+--R       |   2    2    2  | 2    2    2
+--R     a\|- r  + q  + p  \|r  - q  - p
+--R                                                     Type: Expression Integer
+--E
+
+--S 145
+cc2:=aa.2-bb1
+--R
+--R   (5)
+--R                                                +------------+
+--R                                                | 2    2    2
+--R             ((r - q)sin(a x) + p cos(a x) + p)\|r  - q  - p
+--R       2atan(-------------------------------------------------)
+--R                     2    2    2             2    2    2
+--R                   (r  - q  - p )cos(a x) + r  - q  - p
+--R     + 
+--R                          a x
+--R               (r - q)tan(---) + p
+--R                           2
+--R       - 2atan(-------------------)
+--R                  +------------+
+--R                  | 2    2    2
+--R                 \|r  - q  - p
+--R  /
+--R       +------------+
+--R       | 2    2    2
+--R     a\|r  - q  - p
+--R                                                     Type: Expression Integer
+--E
+
+--S 146
+cc3:=aa.1-bb2
+--R
+--R   (6)
+--R       log
+--R                                              2          2                   2
+--R                    (p r - p q)sin(a x) + (- r  + q r + p )cos(a x) - q r + q
+--R                  + 
+--R                     2
+--R                    p
+--R             *
+--R                 +--------------+
+--R                 |   2    2    2
+--R                \|- r  + q  + p
+--R            + 
+--R                3      2       2    2      3    2
+--R              (r  - q r  + (- q  - p )r + q  + p q)sin(a x)
+--R            + 
+--R                  2      2    3               2      2    3
+--R              (p r  - p q  - p )cos(a x) + p r  - p q  - p
+--R         /
+--R            p sin(a x) + q cos(a x) + r
+--R     + 
+--R                +--------------+
+--R                |   2    2    2               a x
+--R             - \|- r  + q  + p   + (r - q)tan(---) + p
+--R                                               2
+--R       - log(-----------------------------------------)
+--R               +--------------+
+--R               |   2    2    2               a x
+--R              \|- r  + q  + p   + (r - q)tan(---) + p
+--R                                              2
+--R  /
+--R       +--------------+
+--R       |   2    2    2
+--R     a\|- r  + q  + p
+--R                                                     Type: Expression Integer
+--E
+
+--S 147    14:420 Axiom cannot simplify these expressions
+cc4:=aa.2-bb2
+--R
+--R   (7)
+--R                               +--------------+
+--R                               |   2    2    2               a x
+--R          +------------+    - \|- r  + q  + p   + (r - q)tan(---) + p
+--R          | 2    2    2                                       2
+--R       - \|r  - q  - p  log(-----------------------------------------)
+--R                              +--------------+
+--R                              |   2    2    2               a x
+--R                             \|- r  + q  + p   + (r - q)tan(---) + p
+--R                                                             2
+--R     + 
+--R                                                               +------------+
+--R       +--------------+                                        | 2    2    2
+--R       |   2    2    2      ((r - q)sin(a x) + p cos(a x) + p)\|r  - q  - p
+--R     2\|- r  + q  + p  atan(-------------------------------------------------)
+--R                                    2    2    2             2    2    2
+--R                                  (r  - q  - p )cos(a x) + r  - q  - p
+--R  /
+--R       +--------------+ +------------+
+--R       |   2    2    2  | 2    2    2
+--R     a\|- r  + q  + p  \|r  - q  - p
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.421~~~~~$\displaystyle
@@ -610,7 +2020,7 @@ $$
 <<*>>=
 )clear all
 
---S 28 of 36
+--S 148
 aa:=integrate(1/(p*sin(a*x)+q*(1+cos(a*x))),x)
 --R 
 --R
@@ -620,7 +2030,76 @@ aa:=integrate(1/(p*sin(a*x)+q*(1+cos(a*x))),x)
 --R   (1)  --------------------------------
 --R                       a p
 --R                                          Type: Union(Expression Integer,...)
+--E
+
+--S 149
+bb:=1/(a*p)*log(q+p*tan((a*x)/2))
+--R
+--R                  a x
+--R        log(p tan(---) + q)
+--R                   2
+--R   (2)  -------------------
+--R                a p
+--R                                                     Type: Expression Integer
 --E 
+
+--S 150
+cc:=aa-bb
+--R
+--R                    a x             p sin(a x) + q cos(a x) + q
+--R        - log(p tan(---) + q) + log(---------------------------)
+--R                     2                      cos(a x) + 1
+--R   (3)  --------------------------------------------------------
+--R                                   a p
+--R                                                     Type: Expression Integer
+--E
+
+--S 151
+tanrule:=rule(tan(a) == sin(a)/cos(a))
+--R
+--R                  sin(a)
+--R   (4)  tan(a) == ------
+--R                  cos(a)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 152
+dd:=tanrule cc
+--R
+--R                                                     a x          a x
+--R                                               p sin(---) + q cos(---)
+--R            p sin(a x) + q cos(a x) + q               2            2
+--R        log(---------------------------) - log(-----------------------)
+--R                    cos(a x) + 1                           a x
+--R                                                       cos(---)
+--R                                                            2
+--R   (5)  ---------------------------------------------------------------
+--R                                      a p
+--R                                                     Type: Expression Integer
+--E
+
+--S 153
+ee:=expandLog dd
+--R
+--R   (6)
+--R                                                    a x          a x
+--R       log(p sin(a x) + q cos(a x) + q) - log(p sin(---) + q cos(---))
+--R                                                     2            2
+--R     + 
+--R                                     a x
+--R       - log(cos(a x) + 1) + log(cos(---))
+--R                                      2
+--R  /
+--R     a p
+--R                                                     Type: Expression Integer
+--E
+
+--S 154    14:421 Schaums and Axiom agree
+ff:=complexNormalize ee
+--R
+--R   (7)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.422~~~~~$\displaystyle
@@ -632,7 +2111,7 @@ $$
 <<*>>=
 )clear all
 
---S 29 of 36
+--S 155
 aa:=integrate(1/(p*sin(a*x)+q*cos(a*x)+sqrt(p^2+q^2)),x)
 --R 
 --R
@@ -665,9 +2144,88 @@ aa:=integrate(1/(p*sin(a*x)+q*cos(a*x)+sqrt(p^2+q^2)),x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
+--S 156
+bb:=-1/(a*sqrt(p^2+q^2))*tan(%pi/4-(a*x+atan(q/p))/2)
+--R
+--R                  q
+--R            2atan(-) + 2a x - %pi
+--R                  p
+--R        tan(---------------------)
+--R                      4
+--R   (2)  --------------------------
+--R                  +-------+
+--R                  | 2    2
+--R                a\|q  + p
+--R                                                     Type: Expression Integer
+--E
+
+--S 157
+cc:=aa-bb
+--R
+--R   (3)
+--R                   6      2 4      4 2    6
+--R               (64q  + 80p q  + 24p q  + p )sin(a x)
+--R             + 
+--R                       5      3 3     5                  5      3 3     5
+--R               (- 32p q  - 32p q  - 6p q)cos(a x) - 32p q  - 32p q  - 6p q
+--R          *
+--R              +-------+
+--R              | 2    2
+--R             \|q  + p
+--R         + 
+--R                 7       2 5      4 3     6
+--R           (- 64q  - 112p q  - 56p q  - 7p q)sin(a x)
+--R         + 
+--R               6      3 4      5 2    7                 6      3 4      5 2    7
+--R         (32p q  + 48p q  + 18p q  + p )cos(a x) + 32p q  + 48p q  + 18p q  + p
+--R      *
+--R                   q
+--R             2atan(-) + 2a x - %pi
+--R                   p
+--R         tan(---------------------)
+--R                       4
+--R     + 
+--R              6      2 4      4 2     6               6      2 4      4 2     6
+--R         ((64q  + 96p q  + 36p q  + 2p )cos(a x) + 64q  + 96p q  + 36p q  + 2p )
+--R      *
+--R          +-------+
+--R          | 2    2
+--R         \|q  + p
+--R     + 
+--R             7       2 5      4 3      6                7       2 5      4 3
+--R       (- 64q  - 128p q  - 76p q  - 12p q)cos(a x) - 64q  - 128p q  - 76p q
+--R     + 
+--R            6
+--R       - 12p q
+--R  /
+--R                 7         2 5        4 3       6
+--R           (64a q  + 112a p q  + 56a p q  + 7a p q)sin(a x)
+--R         + 
+--R                     6        3 4        5 2      7                   6
+--R           (- 32a p q  - 48a p q  - 18a p q  - a p )cos(a x) - 32a p q
+--R         + 
+--R                  3 4        5 2      7
+--R           - 48a p q  - 18a p q  - a p
+--R      *
+--R          +-------+
+--R          | 2    2
+--R         \|q  + p
+--R     + 
+--R               8         2 6         4 4        6 2      8
+--R       (- 64a q  - 144a p q  - 104a p q  - 25a p q  - a p )sin(a x)
+--R     + 
+--R               7        3 5        5 3       7                    7        3 5
+--R       (32a p q  + 64a p q  + 38a p q  + 6a p q)cos(a x) + 32a p q  + 64a p q
+--R     + 
+--R            5 3       7
+--R       38a p q  + 6a p q
+--R                                                     Type: Expression Integer
+--E
+
+
 )clear all
 
---S 30 of 36
+--S 158
 aa:=integrate(1/(p*sin(a*x)+q*cos(a*x)-sqrt(p^2+q^2)),x)
 --R 
 --R
@@ -699,6 +2257,84 @@ aa:=integrate(1/(p*sin(a*x)+q*cos(a*x)-sqrt(p^2+q^2)),x)
 --R       - 18a p q  - a p
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 159
+bb:=-1/(a*sqrt(p^2+q^2))*tan(%pi/4+(a*x+atan(q/p))/2)
+--R
+--R                    q
+--R              2atan(-) + 2a x + %pi
+--R                    p
+--R          tan(---------------------)
+--R                        4
+--R   (2)  - --------------------------
+--R                    +-------+
+--R                    | 2    2
+--R                  a\|q  + p
+--R                                                     Type: Expression Integer
+--E
+
+--S 160    14:422 Axiom cannot simplify this expression
+cc:=aa-bb
+--R
+--R   (3)
+--R                   6      2 4      4 2    6
+--R               (64q  + 80p q  + 24p q  + p )sin(a x)
+--R             + 
+--R                       5      3 3     5                  5      3 3     5
+--R               (- 32p q  - 32p q  - 6p q)cos(a x) - 32p q  - 32p q  - 6p q
+--R          *
+--R              +-------+
+--R              | 2    2
+--R             \|q  + p
+--R         + 
+--R               7       2 5      4 3     6
+--R           (64q  + 112p q  + 56p q  + 7p q)sin(a x)
+--R         + 
+--R                   6      3 4      5 2    7                 6      3 4      5 2
+--R           (- 32p q  - 48p q  - 18p q  - p )cos(a x) - 32p q  - 48p q  - 18p q
+--R         + 
+--R              7
+--R           - p
+--R      *
+--R                   q
+--R             2atan(-) + 2a x + %pi
+--R                   p
+--R         tan(---------------------)
+--R                       4
+--R     + 
+--R              6      2 4      4 2     6               6      2 4      4 2     6
+--R         ((64q  + 96p q  + 36p q  + 2p )cos(a x) + 64q  + 96p q  + 36p q  + 2p )
+--R      *
+--R          +-------+
+--R          | 2    2
+--R         \|q  + p
+--R     + 
+--R         7       2 5      4 3      6                7       2 5      4 3      6
+--R     (64q  + 128p q  + 76p q  + 12p q)cos(a x) + 64q  + 128p q  + 76p q  + 12p q
+--R  /
+--R                 7         2 5        4 3       6
+--R           (64a q  + 112a p q  + 56a p q  + 7a p q)sin(a x)
+--R         + 
+--R                     6        3 4        5 2      7                   6
+--R           (- 32a p q  - 48a p q  - 18a p q  - a p )cos(a x) - 32a p q
+--R         + 
+--R                  3 4        5 2      7
+--R           - 48a p q  - 18a p q  - a p
+--R      *
+--R          +-------+
+--R          | 2    2
+--R         \|q  + p
+--R     + 
+--R             8         2 6         4 4        6 2      8
+--R       (64a q  + 144a p q  + 104a p q  + 25a p q  + a p )sin(a x)
+--R     + 
+--R                 7        3 5        5 3       7                    7        3 5
+--R       (- 32a p q  - 64a p q  - 38a p q  - 6a p q)cos(a x) - 32a p q  - 64a p q
+--R     + 
+--R              5 3       7
+--R       - 38a p q  - 6a p q
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.423~~~~~$\displaystyle
@@ -709,7 +2345,7 @@ $$
 <<*>>=
 )clear all
 
---S 31 of 36
+--S 161
 aa:=integrate(1/(p^2*sin(a*x)^2+q^2*cos(a*x)^2),x)
 --R 
 --R
@@ -722,6 +2358,37 @@ aa:=integrate(1/(p^2*sin(a*x)^2+q^2*cos(a*x)^2),x)
 --R                                        a p q
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 162
+bb:=1/(a*p*q)*atan((p*tan(a*x))/q)
+--R
+--R             p tan(a x)
+--R        atan(----------)
+--R                  q
+--R   (2)  ----------------
+--R              a p q
+--R                                                     Type: Expression Integer
+--E
+
+--S 163    14:423 Axiom cannot simplify this expressions
+cc:=aa-bb
+--R
+--R   (3)
+--R                                     2     2              2
+--R              p tan(a x)          ((q  - 2p )cos(a x) - 2p )sin(a x)
+--R       - atan(----------) - atan(-----------------------------------)
+--R                   q                         2
+--R                                 p q cos(a x)  + 2p q cos(a x) + p q
+--R     + 
+--R               q sin(a x)
+--R       atan(----------------)
+--R            2p cos(a x) + 2p
+--R  /
+--R     a p q
+--R                                                     Type: Expression Integer
+--E
+
+
 @
 
 \section{\cite{1}:14.424~~~~~$\displaystyle
@@ -732,7 +2399,7 @@ $$
 <<*>>=
 )clear all
 
---S 32 of 36
+--S 164
 aa:=integrate(1/(p^2*sin(a*x)^2-q^2*cos(a*x)^2),x)
 --R 
 --R
@@ -742,7 +2409,77 @@ aa:=integrate(1/(p^2*sin(a*x)^2-q^2*cos(a*x)^2),x)
 --R   (1)  -----------------------------------------------------------------
 --R                                      2a p q
 --R                                          Type: Union(Expression Integer,...)
+--E
+
+--S 165
+bb:=1/(2*a*p*q)*log((p*tan(a*x)-q)/(p*tan(a*x)+q))
+--R
+--R            p tan(a x) - q
+--R        log(--------------)
+--R            p tan(a x) + q
+--R   (2)  -------------------
+--R               2a p q
+--R                                                     Type: Expression Integer
 --E 
+
+--S 166
+cc:=aa-bb
+--R
+--R   (3)
+--R           2p sin(a x) - 2q cos(a x)        p tan(a x) - q
+--R       log(-------------------------) - log(--------------)
+--R                  cos(a x) + 1              p tan(a x) + q
+--R     + 
+--R             - 2p sin(a x) - 2q cos(a x)
+--R       - log(---------------------------)
+--R                     cos(a x) + 1
+--R  /
+--R     2a p q
+--R                                                     Type: Expression Integer
+--E
+
+--S 167
+tanrule:=rule(tan(a) == sin(a)/cos(a))
+--R
+--R                  sin(a)
+--R   (4)  tan(a) == ------
+--R                  cos(a)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 168
+dd:=tanrule cc
+--R
+--R   (5)
+--R           2p sin(a x) - 2q cos(a x)        p sin(a x) - q cos(a x)
+--R       log(-------------------------) - log(-----------------------)
+--R                  cos(a x) + 1              p sin(a x) + q cos(a x)
+--R     + 
+--R             - 2p sin(a x) - 2q cos(a x)
+--R       - log(---------------------------)
+--R                     cos(a x) + 1
+--R  /
+--R     2a p q
+--R                                                     Type: Expression Integer
+--E
+
+--S 169
+ee:=expandLog dd
+--R
+--R        log(p sin(a x) + q cos(a x)) - log(- p sin(a x) - q cos(a x))
+--R   (6)  -------------------------------------------------------------
+--R                                    2a p q
+--R                                                     Type: Expression Integer
+--E
+
+--S 170    14:424 Schaums and Axiom differ by a constant
+ff:=complexNormalize ee
+--R
+--R        log(- 1)
+--R   (7)  --------
+--R         2a p q
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.425~~~~~$\displaystyle
@@ -763,7 +2500,7 @@ $$
 <<*>>=
 )clear all
 
---S 33 of 36
+--S 171    14:425 Axiom cannot compute this integral
 aa:=integrate(sin(a*x)^m*cos(a*x)^n,x)
 --R 
 --R
@@ -797,7 +2534,7 @@ $$
 <<*>>=
 )clear all
 
---S 34 of 36
+--S 172    14:426 Axiom cannot compute this integral
 aa:=integrate(sin(a*x)^m/cos(a*x)^n,x)
 --R 
 --R
@@ -832,7 +2569,7 @@ $$
 <<*>>=
 )clear all
 
---S 35 of 36
+--S 173    14:427 Axiom cannot compute this integral
 aa:=integrate(cos(a*x)^m/sin(a*x)^n,x)
 --R 
 --R
@@ -863,7 +2600,7 @@ $$
 <<*>>=
 )clear all
 
---S 36 of 36
+--S 174    14:428 Axiom cannot compute this integral
 aa:=integrate(1/(sin(a*x)^m*cos(a*x)^n),x)
 --R 
 --R
diff --git a/src/input/schaum20.input.pamphlet b/src/input/schaum20.input.pamphlet
index a25209e..e6981a6 100644
--- a/src/input/schaum20.input.pamphlet
+++ b/src/input/schaum20.input.pamphlet
@@ -19,7 +19,7 @@ $$
 )set message auto off
 )clear all
 
---S 1 of 11
+--S 1
 aa:=integrate(tan(a*x),x)
 --R 
 --R
@@ -29,6 +29,81 @@ aa:=integrate(tan(a*x),x)
 --R                2a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 2
+bb1:=-1/a*log(cos(a*x))
+--R
+--R          log(cos(a x))
+--R   (2)  - -------------
+--R                a
+--R                                                     Type: Expression Integer
+--E
+
+--S 3
+bb2:=1/a*log(sec(a*x))
+--R
+--R        log(sec(a x))
+--R   (3)  -------------
+--R              a
+--R                                                     Type: Expression Integer
+--E
+
+--S 4
+cc1:=aa-bb1
+--R
+--R                    2
+--R        log(tan(a x)  + 1) + 2log(cos(a x))
+--R   (4)  -----------------------------------
+--R                         2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 5
+tanrule:=rule(tan(a) == sin(a)/cos(a))
+--R
+--R                  sin(a)
+--R   (5)  tan(a) == ------
+--R                  cos(a)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 6
+dd1:=tanrule cc1
+--R
+--R                    2           2
+--R            sin(a x)  + cos(a x)
+--R        log(---------------------) + 2log(cos(a x))
+--R                          2
+--R                  cos(a x)
+--R   (6)  -------------------------------------------
+--R                             2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 7
+ee1:=expandLog dd1
+--R
+--R                    2           2
+--R        log(sin(a x)  + cos(a x) )
+--R   (7)  --------------------------
+--R                    2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 8
+sincossqrrule:=rule(sin(a)^2+cos(a)^2 == 1)
+--R
+--R              2         2
+--I   (8)  sin(a)  + cos(a)  + %K == %K + 1
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 9      14:429 Schaums and Axiom agree
+ff1:=sincossqrrule ee1
+--R
+--R   (9)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.430~~~~~$\displaystyle
@@ -39,7 +114,7 @@ $$
 <<*>>=
 )clear all
 
---S 2 of 11
+--S 10
 aa:=integrate(tan(a*x)^2,x)
 --R 
 --R
@@ -48,6 +123,22 @@ aa:=integrate(tan(a*x)^2,x)
 --R               a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 11
+bb:=tan(a*x)/a-x
+--R
+--R        tan(a x) - a x
+--R   (2)  --------------
+--R               a
+--R                                                     Type: Expression Integer
+--E
+
+--S 12     14:430 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.431~~~~~$\displaystyle
@@ -58,7 +149,7 @@ $$
 <<*>>=
 )clear all
 
---S 3 of 11
+--S 13
 aa:=integrate(tan(a*x)^3,x)
 --R 
 --R
@@ -68,6 +159,73 @@ aa:=integrate(tan(a*x)^3,x)
 --R                       2a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 14
+bb:=tan(a*x)^2/(2*a)+1/a*log(cos(a*x))
+--R
+--R                                 2
+--R        2log(cos(a x)) + tan(a x)
+--R   (2)  --------------------------
+--R                    2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 15
+cc:=aa-bb
+--R
+--R                      2
+--R        - log(tan(a x)  + 1) - 2log(cos(a x))
+--R   (3)  -------------------------------------
+--R                          2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 16
+tanrule:=rule(tan(a) == sin(a)/cos(a))
+--R
+--R                  sin(a)
+--R   (4)  tan(a) == ------
+--R                  cos(a)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 17
+dd:=tanrule cc
+--R
+--R                      2           2
+--R              sin(a x)  + cos(a x)
+--R        - log(---------------------) - 2log(cos(a x))
+--R                            2
+--R                    cos(a x)
+--R   (5)  ---------------------------------------------
+--R                              2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 18
+ee:=expandLog dd
+--R
+--R                      2           2
+--R          log(sin(a x)  + cos(a x) )
+--R   (6)  - --------------------------
+--R                      2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 19
+sincossqrrule:=rule(sin(a)^2+cos(a)^2 == 1)
+--R
+--R              2         2
+--I   (7)  sin(a)  + cos(a)  + %L == %L + 1
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 20     14:431 Schaums and Axiom agree
+ff:=sincossqrrule ee
+--R
+--R   (8)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.432~~~~~$\displaystyle
@@ -78,7 +236,7 @@ $$
 <<*>>=
 )clear all
 
---S 4 of 11
+--S 21
 aa:=integrate(tan(a*x)^n*sec(a*x)^2,x)
 --R 
 --R
@@ -90,6 +248,74 @@ aa:=integrate(tan(a*x)^n*sec(a*x)^2,x)
 --R            (a n + a)cos(a x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 22
+bb:=tan(a*x)^(n+1)/((n+1)*a)
+--R
+--R                n + 1
+--R        tan(a x)
+--R   (2)  -------------
+--R           a n + a
+--R                                                     Type: Expression Integer
+--E
+
+--S 23
+cc:=aa-bb
+--R
+--R                        sin(a x)
+--R                  n log(--------)
+--R                        cos(a x)                    n + 1
+--R        sin(a x)%e                - cos(a x)tan(a x)
+--R   (3)  -------------------------------------------------
+--R                        (a n + a)cos(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 24
+explog:=rule(%e^(n*log(x)) == x^n)
+--R
+--R          n log(x)     n
+--R   (4)  %e         == x
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 25
+dd:=explog cc
+--R
+--R                          n + 1            sin(a x) n
+--R        - cos(a x)tan(a x)      + sin(a x)(--------)
+--R                                           cos(a x)
+--R   (5)  ---------------------------------------------
+--R                      (a n + a)cos(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 26
+tanrule:=rule(tan(a) == sin(a)/cos(a))
+--R
+--R                  sin(a)
+--R   (6)  tan(a) == ------
+--R                  cos(a)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 27
+ee:=tanrule dd
+--R
+--R                   sin(a x) n + 1            sin(a x) n
+--R        - cos(a x)(--------)      + sin(a x)(--------)
+--R                   cos(a x)                  cos(a x)
+--R   (7)  -----------------------------------------------
+--R                       (a n + a)cos(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 28     14:432 Schaums and Axiom agree
+ff:=complexNormalize ee
+--R
+--R   (8)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.433~~~~~$\displaystyle
@@ -100,7 +326,7 @@ $$
 <<*>>=
 )clear all
 
---S 5 of 11
+--S 29
 aa:=integrate(sec(a*x)^2/tan(a*x),x)
 --R 
 --R
@@ -111,6 +337,44 @@ aa:=integrate(sec(a*x)^2/tan(a*x),x)
 --R                           a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 30
+bb:=1/a*log(tan(a*x))
+--R
+--R        log(tan(a x))
+--R   (2)  -------------
+--R              a
+--R                                                     Type: Expression Integer
+--E
+
+--S 31
+cc:=aa-bb
+--R
+--R                                sin(a x)              2cos(a x)
+--R        - log(tan(a x)) + log(------------) - log(- ------------)
+--R                              cos(a x) + 1          cos(a x) + 1
+--R   (3)  ---------------------------------------------------------
+--R                                    a
+--R                                                     Type: Expression Integer
+--E
+
+--S 32
+dd:=expandLog cc
+--R
+--R        - log(tan(a x)) + log(sin(a x)) - log(cos(a x)) - log(- 2)
+--R   (4)  ----------------------------------------------------------
+--R                                     a
+--R                                                     Type: Expression Integer
+--E
+
+--S 33     14:433 Schaums and Axiom differ by a constant
+ee:=complexNormalize dd
+--R
+--R          log(- 2)
+--R   (5)  - --------
+--R              a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.434~~~~~$\displaystyle
@@ -121,7 +385,7 @@ $$
 <<*>>=
 )clear all
 
---S 6 of 11
+--S 34
 aa:=integrate(1/tan(a*x),x)
 --R 
 --R
@@ -131,6 +395,32 @@ aa:=integrate(1/tan(a*x),x)
 --R                          2a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 35
+bb:=1/a*log(sin(a*x))
+--R
+--R        log(sin(a x))
+--R   (2)  -------------
+--R              a
+--R                                                     Type: Expression Integer
+--E
+
+--S 36
+cc:=aa-bb
+--R
+--R                      2
+--R        - log(tan(a x)  + 1) + 2log(tan(a x)) - 2log(sin(a x))
+--R   (3)  ------------------------------------------------------
+--R                                  2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 37
+complexNormalize cc
+--R
+--R   (4)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.435~~~~~$\displaystyle
@@ -142,7 +432,7 @@ $$
 <<*>>=
 )clear all
 
---S 7 of 11
+--S 38     14:435 Axiom cannot compute this integral
 aa:=integrate(x*tan(a*x),x)
 --R 
 --R
@@ -163,7 +453,7 @@ $$
 <<*>>=
 )clear all
 
---S 8 of 11
+--S 39     14:436 Axiom cannot compute this integral
 aa:=integrate(tan(a*x)/x,x)
 --R 
 --R
@@ -183,7 +473,7 @@ $$
 <<*>>=
 )clear all
 
---S 9 of 11
+--S 40
 aa:=integrate(x*tan(a*x)^2,x)
 --R 
 --R
@@ -194,6 +484,77 @@ aa:=integrate(x*tan(a*x)^2,x)
 --R                            2a
 --R                                          Type: Union(Expression Integer,...)
 --E
+
+--S 41
+bb:=(x*tan(a*x))/a+1/a^2*log(cos(a*x))-x^2/2
+--R
+--R                                          2 2
+--R        2log(cos(a x)) + 2a x tan(a x) - a x
+--R   (2)  -------------------------------------
+--R                           2
+--R                         2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 42
+cc:=aa-bb
+--R
+--R                      2
+--R        - log(tan(a x)  + 1) - 2log(cos(a x))
+--R   (3)  -------------------------------------
+--R                           2
+--R                         2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 43
+tanrule:=rule(tan(a) == sin(a)/cos(a))
+--R
+--R                  sin(a)
+--R   (4)  tan(a) == ------
+--R                  cos(a)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 44
+dd:=tanrule cc
+--R
+--R                      2           2
+--R              sin(a x)  + cos(a x)
+--R        - log(---------------------) - 2log(cos(a x))
+--R                            2
+--R                    cos(a x)
+--R   (5)  ---------------------------------------------
+--R                               2
+--R                             2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 45
+ee:=expandLog dd
+--R
+--R                      2           2
+--R          log(sin(a x)  + cos(a x) )
+--R   (6)  - --------------------------
+--R                        2
+--R                      2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 46
+sincossqrrule:=rule(sin(a)^2+cos(a)^2 == 1)
+--R
+--R              2         2
+--I   (7)  sin(a)  + cos(a)  + %R == %R + 1
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 47     14:437 Schaums and Axiom agree
+ff:=sincossqrrule ee
+--R
+--R   (8)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.438~~~~~$\displaystyle
@@ -204,7 +565,7 @@ $$
 <<*>>=
 )clear all
 
---S 10 of 11
+--S 48
 aa:=integrate(1/(p+q*tan(a*x)),x)
 --R 
 --R
@@ -215,6 +576,84 @@ aa:=integrate(1/(p+q*tan(a*x)),x)
 --R                              2a q  + 2a p
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 49
+bb:=(p*x)/(p^2+q^2)+q/(a*(p^2+q^2))*log(q*sin(a*x)+p*cos(a*x))
+--R
+--R        q log(q sin(a x) + p cos(a x)) + a p x
+--R   (2)  --------------------------------------
+--R                         2      2
+--R                      a q  + a p
+--R                                                     Type: Expression Integer
+--E
+
+--S 50
+cc:=aa-bb
+--R
+--R   (3)
+--R                       2
+--R       - q log(tan(a x)  + 1) + 2q log(q tan(a x) + p)
+--R     + 
+--R       - 2q log(q sin(a x) + p cos(a x))
+--R  /
+--R         2       2
+--R     2a q  + 2a p
+--R                                                     Type: Expression Integer
+--E
+
+--S 51
+tanrule:=rule(tan(a) == sin(a)/cos(a))
+--R
+--R                  sin(a)
+--R   (4)  tan(a) == ------
+--R                  cos(a)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 52
+dd:=tanrule cc
+--R
+--R   (5)
+--R                       2           2
+--R               sin(a x)  + cos(a x)
+--R       - q log(---------------------) - 2q log(q sin(a x) + p cos(a x))
+--R                             2
+--R                     cos(a x)
+--R     + 
+--R              q sin(a x) + p cos(a x)
+--R       2q log(-----------------------)
+--R                      cos(a x)
+--R  /
+--R         2       2
+--R     2a q  + 2a p
+--R                                                     Type: Expression Integer
+--E
+
+--S 53
+ee:=expandLog dd
+--R
+--R                        2           2
+--R          q log(sin(a x)  + cos(a x) )
+--R   (6)  - ----------------------------
+--R                      2       2
+--R                  2a q  + 2a p
+--R                                                     Type: Expression Integer
+--E
+
+--S 54
+sincossqrrule:=rule(sin(a)^2+cos(a)^2 == 1)
+--R
+--R              2         2
+--I   (7)  sin(a)  + cos(a)  + %S == %S + 1
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 55     14:438 Schaums and Axiom agree
+ff:=sincossqrrule ee
+--R
+--R   (8)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.439~~~~~$\displaystyle
@@ -225,7 +664,7 @@ $$
 <<*>>=
 )clear all
 
---S 11 of 11
+--S 56     14:439 Axiom cannot compute this integral
 aa:=integrate(tan(a*x)^n,x)
 --R 
 --R
diff --git a/src/input/schaum21.input.pamphlet b/src/input/schaum21.input.pamphlet
index 6e02ffe..4d6a8be 100644
--- a/src/input/schaum21.input.pamphlet
+++ b/src/input/schaum21.input.pamphlet
@@ -18,7 +18,7 @@ $$
 )set message auto off
 )clear all
 
---S 1 of 11
+--S 1
 aa:=integrate(cot(a*x),x)
 --R 
 --R
@@ -29,6 +29,42 @@ aa:=integrate(cot(a*x),x)
 --R                           2a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 2
+bb:=1/a*log(sin(a*x))
+--R
+--R        log(sin(a x))
+--R   (2)  -------------
+--R              a
+--R                                                     Type: Expression Integer
+--E
+
+--S 3
+cc:=aa-bb
+--R
+--R               sin(2a x)                                 2
+--R        2log(-------------) - 2log(sin(a x)) - log(-------------)
+--R             cos(2a x) + 1                         cos(2a x) + 1
+--R   (3)  ---------------------------------------------------------
+--R                                    2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 4
+dd:=expandLog cc
+--R
+--R        2log(sin(2a x)) - 2log(sin(a x)) - log(cos(2a x) + 1) - log(2)
+--R   (4)  --------------------------------------------------------------
+--R                                      2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 5      14:440 Schaums and Axiom agree
+ee:=complexNormalize dd
+--R
+--R   (5)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.441~~~~~$\displaystyle
@@ -39,7 +75,7 @@ $$
 <<*>>=
 )clear all
 
---S 2 of 11
+--S 6
 aa:=integrate(cot(a*x)^2,x)
 --R 
 --R
@@ -48,6 +84,49 @@ aa:=integrate(cot(a*x)^2,x)
 --R                  a sin(2a x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 7
+bb:=-cot(a*x)/a-x
+--R
+--R        - cot(a x) - a x
+--R   (2)  ----------------
+--R                a
+--R                                                     Type: Expression Integer
+--E
+
+--S 8
+cc:=aa-bb
+--R
+--R        cot(a x)sin(2a x) - cos(2a x) - 1
+--R   (3)  ---------------------------------
+--R                   a sin(2a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 9
+cotrule:=rule(cot(a) == cos(a)/sin(a))
+--R
+--R                  cos(a)
+--R   (4)  cot(a) == ------
+--R                  sin(a)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 10
+dd:=cotrule cc
+--R
+--R        cos(a x)sin(2a x) + (- cos(2a x) - 1)sin(a x)
+--R   (5)  ---------------------------------------------
+--R                     a sin(a x)sin(2a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 11     14:441 Schaums and Axiom agree
+ee:=complexNormalize dd
+--R
+--R   (6)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.442~~~~~$\displaystyle
@@ -58,7 +137,7 @@ $$
 <<*>>=
 )clear all
 
---S 3 of 11
+--S 12
 aa:=integrate(cot(a*x)^3,x)
 --R 
 --R
@@ -72,6 +151,97 @@ aa:=integrate(cot(a*x)^3,x)
 --R     2a cos(2a x) - 2a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 13
+bb:=-cot(a*x)^2/(2*a)-1/a*log(sin(a*x))
+--R
+--R                                   2
+--R        - 2log(sin(a x)) - cot(a x)
+--R   (2)  ----------------------------
+--R                     2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 14
+cc:=aa-bb
+--R
+--R   (3)
+--R                               sin(2a x)
+--R       (- 2cos(2a x) + 2)log(-------------) + (2cos(2a x) - 2)log(sin(a x))
+--R                             cos(2a x) + 1
+--R     + 
+--R                                2                                 2
+--R       (cos(2a x) - 1)log(-------------) + (cos(2a x) - 1)cot(a x)  + cos(2a x)
+--R                          cos(2a x) + 1
+--R     + 
+--R       1
+--R  /
+--R     2a cos(2a x) - 2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 15
+cotrule:=rule(cot(a) == cos(a)/sin(a))
+--R
+--R                  cos(a)
+--R   (4)  cot(a) == ------
+--R                  sin(a)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 16
+dd:=cotrule cc
+--R
+--R   (5)
+--R                                 2      sin(2a x)
+--R       (- 2cos(2a x) + 2)sin(a x) log(-------------)
+--R                                      cos(2a x) + 1
+--R     + 
+--R                               2
+--R       (2cos(2a x) - 2)sin(a x) log(sin(a x))
+--R     + 
+--R                              2          2                                 2
+--R       (cos(2a x) - 1)sin(a x) log(-------------) + (cos(2a x) + 1)sin(a x)
+--R                                   cos(2a x) + 1
+--R     + 
+--R               2                    2
+--R       cos(a x) cos(2a x) - cos(a x)
+--R  /
+--R                                2
+--R     (2a cos(2a x) - 2a)sin(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 17
+ee:=expandLog dd
+--R
+--R   (6)
+--R                                 2
+--R       (- 2cos(2a x) + 2)sin(a x) log(sin(2a x))
+--R     + 
+--R                               2
+--R       (2cos(2a x) - 2)sin(a x) log(sin(a x))
+--R     + 
+--R                              2
+--R       (cos(2a x) - 1)sin(a x) log(cos(2a x) + 1)
+--R     + 
+--R                                                   2           2
+--R       ((log(2) + 1)cos(2a x) - log(2) + 1)sin(a x)  + cos(a x) cos(2a x)
+--R     + 
+--R                 2
+--R       - cos(a x)
+--R  /
+--R                                2
+--R     (2a cos(2a x) - 2a)sin(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 18     14:442 Schaums and Axiom agree
+ff:=complexNormalize ee
+--R
+--R   (7)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.443~~~~~$\displaystyle
@@ -82,7 +252,7 @@ $$
 <<*>>=
 )clear all
 
---S 4 of 11
+--S 19
 aa:=integrate(cot(a*x)^n*csc(a*x)^2,x)
 --R 
 --R
@@ -94,6 +264,74 @@ aa:=integrate(cot(a*x)^n*csc(a*x)^2,x)
 --R              (a n + a)sin(a x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 20
+bb:=-cot(a*x)^(n+1)/((n+1)*a)
+--R
+--R                  n + 1
+--R          cot(a x)
+--R   (2)  - -------------
+--R             a n + a
+--R                                                     Type: Expression Integer
+--E
+
+--S 21
+cc:=aa-bb
+--R
+--R                          cos(a x)
+--R                    n log(--------)
+--R                          sin(a x)                    n + 1
+--R        - cos(a x)%e                + sin(a x)cot(a x)
+--R   (3)  ---------------------------------------------------
+--R                         (a n + a)sin(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 22
+explog:=rule(%e^(n*log(x)) == x^n)
+--R
+--R          n log(x)     n
+--R   (4)  %e         == x
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 23
+dd:=explog cc
+--R
+--R                        n + 1            cos(a x) n
+--R        sin(a x)cot(a x)      - cos(a x)(--------)
+--R                                         sin(a x)
+--R   (5)  -------------------------------------------
+--R                     (a n + a)sin(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 24
+cotrule:=rule(cot(a) == cos(a)/sin(a))
+--R
+--R                  cos(a)
+--R   (6)  cot(a) == ------
+--R                  sin(a)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 25
+ee:=cotrule dd
+--R
+--R                 cos(a x) n + 1            cos(a x) n
+--R        sin(a x)(--------)      - cos(a x)(--------)
+--R                 sin(a x)                  sin(a x)
+--R   (7)  ---------------------------------------------
+--R                      (a n + a)sin(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 26     14:443 Schaums and Axiom agree
+ff:=complexNormalize ee
+--R
+--R   (8)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.444~~~~~$\displaystyle
@@ -104,7 +342,7 @@ $$
 <<*>>=
 )clear all
 
---S 5 of 11
+--S 27
 aa:=integrate(csc(a*x)^2/cot(a*x),x)
 --R 
 --R
@@ -115,6 +353,55 @@ aa:=integrate(csc(a*x)^2/cot(a*x),x)
 --R                           a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 28
+bb:=-1/a*log(cot(a*x))
+--R
+--R          log(cot(a x))
+--R   (2)  - -------------
+--R                a
+--R                                                     Type: Expression Integer
+--E
+
+--S 29
+cc:=aa-bb
+--R
+--R              sin(a x)                              2cos(a x)
+--R        log(------------) + log(cot(a x)) - log(- ------------)
+--R            cos(a x) + 1                          cos(a x) + 1
+--R   (3)  -------------------------------------------------------
+--R                                   a
+--R                                                     Type: Expression Integer
+--E
+
+--S 30
+cotrule:=rule(cot(a) == cos(a)/sin(a))
+--R
+--R                  cos(a)
+--R   (4)  cot(a) == ------
+--R                  sin(a)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 31
+dd:=cotrule cc
+--R
+--R              sin(a x)          cos(a x)            2cos(a x)
+--R        log(------------) + log(--------) - log(- ------------)
+--R            cos(a x) + 1        sin(a x)          cos(a x) + 1
+--R   (5)  -------------------------------------------------------
+--R                                   a
+--R                                                     Type: Expression Integer
+--E
+
+--S 32     14:444 Schaums and Axiom differ by a constant
+ee:=expandLog dd
+--R
+--R          log(- 2)
+--R   (6)  - --------
+--R              a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.445~~~~~$\displaystyle
@@ -125,7 +412,7 @@ $$
 <<*>>=
 )clear all
 
---S 6 of 11
+--S 33
 aa:=integrate(1/cot(a*x),x)
 --R 
 --R
@@ -136,6 +423,42 @@ aa:=integrate(1/cot(a*x),x)
 --R                2a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 34
+bb:=-1/a*log(cos(a*x))
+--R
+--R          log(cos(a x))
+--R   (2)  - -------------
+--R                a
+--R                                                     Type: Expression Integer
+--E
+
+--S 35
+cc:=aa-bb
+--R
+--R                                   2
+--R        2log(cos(a x)) + log(-------------)
+--R                             cos(2a x) + 1
+--R   (3)  -----------------------------------
+--R                         2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 36
+dd:=expandLog cc
+--R
+--R        - log(cos(2a x) + 1) + 2log(cos(a x)) + log(2)
+--R   (4)  ----------------------------------------------
+--R                              2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 37     14:445 Schaums and Axiom agree
+ee:=complexNormalize dd
+--R
+--R   (5)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.446~~~~~$\displaystyle
@@ -148,7 +471,7 @@ $$
 <<*>>=
 )clear all
 
---S 7 of 11
+--S 38     14:446 Axiom cannot compute this integral
 aa:=integrate(x*cot(a*x),x)
 --R 
 --R
@@ -169,7 +492,7 @@ $$
 <<*>>=
 )clear all
 
---S 8 of 11
+--S 39     14:447 Axiom cannot compute this integral
 aa:=integrate(cot(a*x)/x,x)
 --R 
 --R
@@ -189,7 +512,7 @@ $$
 <<*>>=
 )clear all
 
---S 9 of 11
+--S 40
 aa:=integrate(x*cot(a*x)^2,x)
 --R 
 --R
@@ -205,6 +528,58 @@ aa:=integrate(x*cot(a*x)^2,x)
 --R     2a sin(2a x)
 --R                                          Type: Union(Expression Integer,...)
 --E
+
+--S 41
+bb:=-(x*cot(a*x))/a+1/a^2*log(sin(a*x))-x^2/2
+--R
+--R                                          2 2
+--R        2log(sin(a x)) - 2a x cot(a x) - a x
+--R   (2)  -------------------------------------
+--R                           2
+--R                         2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 42
+cc:=aa-bb
+--R
+--R   (3)
+--R                       sin(2a x)
+--R       2sin(2a x)log(-------------) - 2sin(2a x)log(sin(a x))
+--R                     cos(2a x) + 1
+--R     + 
+--R                            2
+--R       - sin(2a x)log(-------------) + 2a x cot(a x)sin(2a x) - 2a x cos(2a x)
+--R                      cos(2a x) + 1
+--R     + 
+--R       - 2a x
+--R  /
+--R       2
+--R     2a sin(2a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 43
+dd:=expandLog cc
+--R
+--R   (4)
+--R       2sin(2a x)log(sin(2a x)) - 2sin(2a x)log(sin(a x))
+--R     + 
+--R       - sin(2a x)log(cos(2a x) + 1) + (2a x cot(a x) - log(2))sin(2a x)
+--R     + 
+--R       - 2a x cos(2a x) - 2a x
+--R  /
+--R       2
+--R     2a sin(2a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 44     14:448 Schaums and Axiom agree
+ee:=complexNormalize dd
+--R
+--R   (5)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.449~~~~~$\displaystyle
@@ -215,7 +590,7 @@ $$
 <<*>>=
 )clear all
 
---S 10 of 11
+--S 45
 aa:=integrate(1/(p+q*cot(a*x)),x)
 --R 
 --R
@@ -228,6 +603,34 @@ aa:=integrate(1/(p+q*cot(a*x)),x)
 --R                                2a q  + 2a p
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 46
+bb:=(p*x)/(p^2+q^2)-q/(a*(p^2+q^2))*log(p*sin(a*x)+q*cos(a*x))
+--R
+--R        - q log(p sin(a x) + q cos(a x)) + a p x
+--R   (2)  ----------------------------------------
+--R                          2      2
+--R                       a q  + a p
+--R                                                     Type: Expression Integer
+--E
+
+--S 47     14:449 Axiom cannot simplify this expression
+cc:=aa-bb
+--R
+--R   (3)
+--R                p sin(2a x) + q cos(2a x) + q
+--R       - 2q log(-----------------------------) + 2q log(p sin(a x) + q cos(a x))
+--R                        cos(2a x) + 1
+--R     + 
+--R                   2
+--R       q log(-------------)
+--R             cos(2a x) + 1
+--R  /
+--R         2       2
+--R     2a q  + 2a p
+--R                                                     Type: Expression Integer
+--E
+
 @
 
 \section{\cite{1}:14.450~~~~~$\displaystyle
@@ -238,7 +641,7 @@ $$
 <<*>>=
 )clear all
 
---S 11 of 11
+--S 48     14:450 Axiom cannot compute this integral
 aa:=integrate(cot(a*x)^n,x)
 --R 
 --R
diff --git a/src/input/schaum22.input.pamphlet b/src/input/schaum22.input.pamphlet
index 66befb9..173338a 100644
--- a/src/input/schaum22.input.pamphlet
+++ b/src/input/schaum22.input.pamphlet
@@ -19,7 +19,7 @@ $$
 )set message auto off
 )clear all
 
---S 1 of 10
+--S 1
 aa:=integrate(sec(a*x),x)
 --R 
 --R
@@ -30,6 +30,172 @@ aa:=integrate(sec(a*x),x)
 --R                                     a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 2
+bb1:=1/a*log(sec(a*x)+tan(a*x))
+--R
+--R        log(tan(a x) + sec(a x))
+--R   (2)  ------------------------
+--R                    a
+--R                                                     Type: Expression Integer
+--E
+
+--S 3
+bb2:=1/a*log(tan((a*x)/2+%pi/4))
+--R
+--R                2a x + %pi
+--R        log(tan(----------))
+--R                     4
+--R   (3)  --------------------
+--R                  a
+--R                                                     Type: Expression Integer
+--E
+
+--S 4
+cc1:=aa-bb1
+--R
+--R   (4)
+--R                                        sin(a x) + cos(a x) + 1
+--R       - log(tan(a x) + sec(a x)) + log(-----------------------)
+--R                                              cos(a x) + 1
+--R     + 
+--R             sin(a x) - cos(a x) - 1
+--R       - log(-----------------------)
+--R                   cos(a x) + 1
+--R  /
+--R     a
+--R                                                     Type: Expression Integer
+--E
+
+--S 5
+tanrule:=rule(tan(a) == sin(a)/cos(a))
+--R
+--R                  sin(a)
+--R   (5)  tan(a) == ------
+--R                  cos(a)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 6
+dd1:=tanrule cc1
+--R
+--R   (6)
+--R             sin(a x) + cos(a x)sec(a x)        sin(a x) + cos(a x) + 1
+--R       - log(---------------------------) + log(-----------------------)
+--R                       cos(a x)                       cos(a x) + 1
+--R     + 
+--R             sin(a x) - cos(a x) - 1
+--R       - log(-----------------------)
+--R                   cos(a x) + 1
+--R  /
+--R     a
+--R                                                     Type: Expression Integer
+--E
+
+--S 7
+secrule:=rule(sec(a) == 1/cos(a))
+--R
+--R                     1
+--R   (7)  sec(a) == ------
+--R                  cos(a)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 8
+ee1:=secrule dd1
+--R
+--R   (8)
+--R             sin(a x) + 1        sin(a x) + cos(a x) + 1
+--R       - log(------------) + log(-----------------------)
+--R               cos(a x)                cos(a x) + 1
+--R     + 
+--R             sin(a x) - cos(a x) - 1
+--R       - log(-----------------------)
+--R                   cos(a x) + 1
+--R  /
+--R     a
+--R                                                     Type: Expression Integer
+--E
+
+--S 9
+ff1:=expandLog ee1
+--R
+--R   (9)
+--R       log(sin(a x) + cos(a x) + 1) - log(sin(a x) + 1)
+--R     + 
+--R       - log(sin(a x) - cos(a x) - 1) + log(cos(a x))
+--R  /
+--R     a
+--R                                                     Type: Expression Integer
+--E
+
+--S 10
+gg1:=complexNormalize ff1
+--R
+--R         log(- 1)
+--R   (10)  --------
+--R             a
+--R                                                     Type: Expression Integer
+--E
+
+--S 11
+cc2:=aa-bb2
+--R
+--R   (11)
+--R                 2a x + %pi         sin(a x) + cos(a x) + 1
+--R       - log(tan(----------)) + log(-----------------------)
+--R                      4                   cos(a x) + 1
+--R     + 
+--R             sin(a x) - cos(a x) - 1
+--R       - log(-----------------------)
+--R                   cos(a x) + 1
+--R  /
+--R     a
+--R                                                     Type: Expression Integer
+--E
+
+--S 12
+dd2:=tanrule cc2
+--R
+--R   (12)
+--R           sin(a x) + cos(a x) + 1        sin(a x) - cos(a x) - 1
+--R       log(-----------------------) - log(-----------------------)
+--R                 cos(a x) + 1                   cos(a x) + 1
+--R     + 
+--R                 2a x + %pi
+--R             sin(----------)
+--R                      4
+--R       - log(---------------)
+--R                 2a x + %pi
+--R             cos(----------)
+--R                      4
+--R  /
+--R     a
+--R                                                     Type: Expression Integer
+--E
+
+--S 13
+ee2:=expandLog dd2
+--R
+--R   (13)
+--R       log(sin(a x) + cos(a x) + 1) - log(sin(a x) - cos(a x) - 1)
+--R     + 
+--R                 2a x + %pi             2a x + %pi
+--R       - log(sin(----------)) + log(cos(----------))
+--R                      4                      4
+--R  /
+--R     a
+--R                                                     Type: Expression Integer
+--E
+
+--S 14     14:451 Schaums and Axiom differ by a constant
+ff2:=complexNormalize ee2
+--R
+--R         log(- 1)
+--R   (14)  --------
+--R             a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.452~~~~~$\displaystyle
@@ -40,7 +206,7 @@ $$
 <<*>>=
 )clear all
 
---S 2 of 10
+--S 15
 aa:=integrate(sec(a*x)^2,x)
 --R 
 --R
@@ -49,6 +215,40 @@ aa:=integrate(sec(a*x)^2,x)
 --R        a cos(a x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 16
+bb:=tan(a*x)/a
+--R
+--R        tan(a x)
+--R   (2)  --------
+--R            a
+--R                                                     Type: Expression Integer
+--E
+
+--S 17
+cc:=aa-bb
+--R
+--R        - cos(a x)tan(a x) + sin(a x)
+--R   (3)  -----------------------------
+--R                  a cos(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 18
+tanrule:=rule(tan(a) == sin(a)/cos(a))
+--R
+--R                  sin(a)
+--R   (4)  tan(a) == ------
+--R                  cos(a)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 19     14:452 Schaums and Axiom agree
+dd:=tanrule cc
+--R
+--R   (5)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.453~~~~~$\displaystyle
@@ -59,7 +259,7 @@ $$
 <<*>>=
 )clear all
 
---S 3 of 10
+--S 20
 aa:=integrate(sec(a*x)^3,x)
 --R 
 --R
@@ -76,6 +276,113 @@ aa:=integrate(sec(a*x)^3,x)
 --R     2a cos(a x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 21
+bb:=(sec(a*x)*tan(a*x))/(2*a)+1/(2*a)*log(sec(a*x)+tan(a*x))
+--R
+--R        log(tan(a x) + sec(a x)) + sec(a x)tan(a x)
+--R   (2)  -------------------------------------------
+--R                             2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 22
+cc:=aa-bb
+--R
+--R   (3)
+--R                 2
+--R       - cos(a x) log(tan(a x) + sec(a x))
+--R     + 
+--R               2    sin(a x) + cos(a x) + 1
+--R       cos(a x) log(-----------------------)
+--R                          cos(a x) + 1
+--R     + 
+--R                 2    sin(a x) - cos(a x) - 1            2
+--R       - cos(a x) log(-----------------------) - cos(a x) sec(a x)tan(a x)
+--R                            cos(a x) + 1
+--R     + 
+--R       sin(a x)
+--R  /
+--R                2
+--R     2a cos(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 23
+tanrule:=rule(tan(a) == sin(a)/cos(a))
+--R
+--R                  sin(a)
+--R   (4)  tan(a) == ------
+--R                  cos(a)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 24
+dd:=tanrule cc
+--R
+--R   (5)
+--R                 2    sin(a x) + cos(a x)sec(a x)
+--R       - cos(a x) log(---------------------------)
+--R                                cos(a x)
+--R     + 
+--R               2    sin(a x) + cos(a x) + 1
+--R       cos(a x) log(-----------------------)
+--R                          cos(a x) + 1
+--R     + 
+--R               2    sin(a x) - cos(a x) - 1
+--R     - cos(a x) log(-----------------------) + (- cos(a x)sec(a x) + 1)sin(a x)
+--R                          cos(a x) + 1
+--R  /
+--R                2
+--R     2a cos(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 25
+secrule:=rule(sec(a) == 1/cos(a))
+--R
+--R                     1
+--R   (6)  sec(a) == ------
+--R                  cos(a)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 26
+ee:=secrule dd
+--R
+--R   (7)
+--R             sin(a x) + 1        sin(a x) + cos(a x) + 1
+--R       - log(------------) + log(-----------------------)
+--R               cos(a x)                cos(a x) + 1
+--R     + 
+--R             sin(a x) - cos(a x) - 1
+--R       - log(-----------------------)
+--R                   cos(a x) + 1
+--R  /
+--R     2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 27
+ff:=expandLog ee
+--R
+--R   (8)
+--R       log(sin(a x) + cos(a x) + 1) - log(sin(a x) + 1)
+--R     + 
+--R       - log(sin(a x) - cos(a x) - 1) + log(cos(a x))
+--R  /
+--R     2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 28     14:453 Schaums and Axiom differ by a constant
+gg:=complexNormalize ff
+--R
+--R        log(- 1)
+--R   (9)  --------
+--R           2a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.454~~~~~$\displaystyle
@@ -86,7 +393,7 @@ $$
 <<*>>=
 )clear all
 
---S 4 of 10
+--S 29
 aa:=integrate(sec(a*x)^n*tan(a*x),x)
 --R
 --R                    1
@@ -100,6 +407,31 @@ aa:=integrate(sec(a*x)^n*tan(a*x),x)
 --R                a n
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 30
+bb:=sec(a*x)^n/(n*a)
+--R
+--R                n
+--R        sec(a x)
+--R   (2)  ---------
+--R           a n
+--R                                                     Type: Expression Integer
+--E
+
+--S 31     14:454 Axiom cannot simplify this expression
+cc:=aa-bb
+--R
+--R                    1
+--R          n log(---------)
+--R                        2
+--R                cos(a x)
+--R          ----------------
+--R                  2                  n
+--R        %e                 - sec(a x)
+--R   (3)  ------------------------------
+--R                      a n
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.455~~~~~$\displaystyle
@@ -110,7 +442,7 @@ $$
 <<*>>=
 )clear all
 
---S 5 of 10
+--S 32
 aa:=integrate(1/sec(a*x),x)
 --R 
 --R
@@ -118,7 +450,23 @@ aa:=integrate(1/sec(a*x),x)
 --R   (1)  --------
 --R            a
 --R                                          Type: Union(Expression Integer,...)
+--E
+
+--S 33
+bb:=sin(a*x)/a
+--R
+--R        sin(a x)
+--R   (2)  --------
+--R            a
+--R                                                     Type: Expression Integer
 --E 
+
+--S 34     14:455 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.456~~~~~$\displaystyle
@@ -130,7 +478,7 @@ $$
 <<*>>=
 )clear all
 
---S 6 of 10
+--S 35     14:456 Axiom cannot compute this integral
 aa:=integrate(x*sec(a*x),x)
 --R 
 --R
@@ -151,7 +499,7 @@ $$
 <<*>>=
 )clear all
 
---S 7 of 10
+--S 36     14:457 Axiom cannot compute this integral
 aa:=integrate(sec(a*x)/x,x)
 --R 
 --R
@@ -171,7 +519,7 @@ $$
 <<*>>=
 )clear all
 
---S 8 of 10
+--S 37
 aa:=integrate(x*sec(a*x)^2,x)
 --R 
 --R
@@ -184,6 +532,64 @@ aa:=integrate(x*sec(a*x)^2,x)
 --R                                  a cos(a x)
 --R                                          Type: Union(Expression Integer,...)
 --E
+
+--S 38
+bb:=x/a*tan(a*x)+1/a^2*log(cos(a*x))
+--R
+--R        log(cos(a x)) + a x tan(a x)
+--R   (2)  ----------------------------
+--R                      2
+--R                     a
+--R                                                     Type: Expression Integer
+--E
+
+--S 39
+cc:=aa-bb
+--R
+--R   (3)
+--R                                                   2
+--R       - cos(a x)log(cos(a x)) - cos(a x)log(------------)
+--R                                             cos(a x) + 1
+--R     + 
+--R                       2cos(a x)
+--R       cos(a x)log(- ------------) - a x cos(a x)tan(a x) + a x sin(a x)
+--R                     cos(a x) + 1
+--R  /
+--R      2
+--R     a cos(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 40
+tanrule:=rule(tan(a) == sin(a)/cos(a))
+--R
+--R                  sin(a)
+--R   (4)  tan(a) == ------
+--R                  cos(a)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 41
+dd:=tanrule cc
+--R
+--R                                    2                 2cos(a x)
+--R        - log(cos(a x)) - log(------------) + log(- ------------)
+--R                              cos(a x) + 1          cos(a x) + 1
+--R   (5)  ---------------------------------------------------------
+--R                                     2
+--R                                    a
+--R                                                     Type: Expression Integer
+--E
+
+--S 42     14:458 Schaums and Axiom differ by a constant
+ee:=expandLog dd
+--R
+--R        - log(2) + log(- 2)
+--R   (6)  -------------------
+--R                  2
+--R                 a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.459~~~~~$\displaystyle
@@ -194,7 +600,7 @@ $$
 <<*>>=
 )clear all
 
---S 9 of 10
+--S 43
 aa:=integrate(1/(q+p*sec(a*x)),x)
 --R 
 --R
@@ -218,7 +624,136 @@ aa:=integrate(1/(q+p*sec(a*x)),x)
 --R                           |   2    2
 --R                       a q\|- q  + p
 --R                                     Type: Union(List Expression Integer,...)
+--E
+
+--S 44
+t1:=integrate(1/(p+q*cos(a*x)),x)
+--R
+--R   (2)
+--R                           +-------+
+--R                           | 2    2        2    2
+--R        (- p cos(a x) - q)\|q  - p   + (- q  + p )sin(a x)
+--R    log(--------------------------------------------------)
+--R                          q cos(a x) + p
+--R   [-------------------------------------------------------,
+--R                            +-------+
+--R                            | 2    2
+--R                          a\|q  - p
+--R                     +---------+
+--R                     |   2    2
+--R            sin(a x)\|- q  + p
+--R    2atan(-----------------------)
+--R          (q + p)cos(a x) + q + p
+--R    ------------------------------]
+--R               +---------+
+--R               |   2    2
+--R             a\|- q  + p
+--R                                     Type: Union(List Expression Integer,...)
 --E 
+
+--S 45
+bb1:=x/q-p/q*t1.1
+--R
+--R   (3)
+--R                              +-------+
+--R                              | 2    2        2    2                 +-------+
+--R           (- p cos(a x) - q)\|q  - p   + (- q  + p )sin(a x)        | 2    2
+--R   - p log(--------------------------------------------------) + a x\|q  - p
+--R                             q cos(a x) + p
+--R   ---------------------------------------------------------------------------
+--R                                      +-------+
+--R                                      | 2    2
+--R                                  a q\|q  - p
+--R                                                     Type: Expression Integer
+--E
+
+--S 46
+bb2:=x/q-p/q*t1.2
+--R
+--R                             +---------+
+--R                             |   2    2          +---------+
+--R                    sin(a x)\|- q  + p           |   2    2
+--R        - 2p atan(-----------------------) + a x\|- q  + p
+--R                  (q + p)cos(a x) + q + p
+--R   (4)  ----------------------------------------------------
+--R                               +---------+
+--R                               |   2    2
+--R                           a q\|- q  + p
+--R                                                     Type: Expression Integer
+--E
+
+--S 47
+cc1:=aa.1-bb1
+--R
+--R   (5)
+--R                                +-------+
+--R                                | 2    2      2    2
+--R             (- p cos(a x) - q)\|q  - p   + (q  - p )sin(a x)
+--R       p log(------------------------------------------------)
+--R                              q cos(a x) + p
+--R     + 
+--R                                +-------+
+--R                                | 2    2        2    2
+--R             (- p cos(a x) - q)\|q  - p   + (- q  + p )sin(a x)
+--R       p log(--------------------------------------------------)
+--R                               q cos(a x) + p
+--R  /
+--R         +-------+
+--R         | 2    2
+--R     a q\|q  - p
+--R                                                     Type: Expression Integer
+--E
+
+--S 48
+cc2:=aa.1-bb2
+--R
+--R   (6)
+--R                                           +-------+
+--R         +---------+                       | 2    2      2    2
+--R         |   2    2     (- p cos(a x) - q)\|q  - p   + (q  - p )sin(a x)
+--R       p\|- q  + p  log(------------------------------------------------)
+--R                                         q cos(a x) + p
+--R     + 
+--R                                   +---------+
+--R          +-------+                |   2    2
+--R          | 2    2        sin(a x)\|- q  + p
+--R       2p\|q  - p  atan(-----------------------)
+--R                        (q + p)cos(a x) + q + p
+--R  /
+--R         +---------+ +-------+
+--R         |   2    2  | 2    2
+--R     a q\|- q  + p  \|q  - p
+--R                                                     Type: Expression Integer
+--E
+
+--S 49
+cc3:=aa.2-bb1
+--R
+--R   (7)
+--R                                           +-------+
+--R         +---------+                       | 2    2        2    2
+--R         |   2    2     (- p cos(a x) - q)\|q  - p   + (- q  + p )sin(a x)
+--R       p\|- q  + p  log(--------------------------------------------------)
+--R                                          q cos(a x) + p
+--R     + 
+--R                                     +---------+
+--R            +-------+                |   2    2
+--R            | 2    2        sin(a x)\|- q  + p
+--R       - 2p\|q  - p  atan(-----------------------)
+--R                          (q + p)cos(a x) + q + p
+--R  /
+--R         +---------+ +-------+
+--R         |   2    2  | 2    2
+--R     a q\|- q  + p  \|q  - p
+--R                                                     Type: Expression Integer
+--E
+
+--S 50     14:459 Schaums and Axiom agree
+cc4:=aa.2-bb2
+--R
+--R   (8)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.460~~~~~$\displaystyle
@@ -230,7 +765,7 @@ $$
 <<*>>=
 )clear all
 
---S 10 of 10
+--S 51     14:460 Axiom cannot compute this integral
 aa:=integrate(sec(a*x)^n,x)
 --R 
 --R
